<?php
$SELECTED = "3";
include "../../../common/header.php";
?>

<div class="container">
    <iframe id="konfigurator" src="inline.php?id=0002" style="width: 100%; height: 700px" frameborder="0"></iframe>
</div>

<style>
#menu {
    position: absolute;
    display: inline-block;
    right: 100px;
    width: 150px;
    top: 150px;

}

#menu .btn {
    margin-top: 5px;
}

#menu .btn.selected {
    background: black;
    color: white;
    border-color: black;
}

#layers {
    position: absolute;
    display: inline-block;
    top: 100px;
    right: 300px;
    width: 35%;
    height: 650px;
    overflow-y: scroll;
}
#layers span:hover {
    text-decoration: underline;
}

#layers span.selected {
    font-weight: bold;
    color: white;
    background: #aaa;
}

#layers .visibility.selected {
    background: black;
}

#layers tr.selected {
    background: #eee;
}

#konfigurator {
    position: relative;
    left: -300px;
}

</style>

<div id="menu">

</div>
<div class="container" id="raw"></div>
<div class="container" id="layers"></div>

<script>


onload = function() {
    DATA.layers = __prepareLayers();
    DATA.visible = __prepareVisibility();
    DATA.state = __setInitialState();
    Menu.init();
    LayersTable.init();
    refreshKonfigurator()
}

refreshKonfigurator = function(layersStr) {
    var layers = __getLayers(DATA.state);
    var iframeWindow = document.getElementById("konfigurator").contentWindow;
    iframeWindow.postMessage("set/" + layers, "*");    
}


__getLayers = function(layers) {
    var result = "BG";

    for (var key in layers) {
        var value = layers[key];
        if (!DATA.visible[key])
            continue;

        if (result != "")
            result += ".";

        result += key + "_" + value
    }

    return result;
}


__prepareLayers = function() {
    var layers = {};

    for (var key in DATA.raw) {
        var item = DATA.raw[key].split(".png")[0];
        var items = item.split("_");
        if (items.length == 2) {
            var layerName = items[0];
            var layerValue = items[1];
        }
        if (items.length == 3) {
            var layerName = items[0] + "_" + items[1];
            var layerValue = items[2];
        }
        if (typeof layers[layerName] == 'undefined') {
            layers[layerName] = [];
        }
        layers[layerName].push(layerValue);
    }

    return layers;
}

__prepareVisibility = function() {
    var layers = {};

    for (var key in DATA.raw) {
        var item = DATA.raw[key].split(".png")[0];
        var items = item.split("_");
        if (items.length == 2) {
            var layerName = items[0];
            var layerValue = items[1];
        }
        if (items.length == 3) {
            var layerName = items[0] + "_" + items[1];
            var layerValue = items[2];
        }
        layers[layerName] = true;
    }

    return layers;
}

__setInitialState = function() {
    var state = {};
    for (var key in DATA.layers) {
        var layer = DATA.layers[key];
        state[key] = layer[0];
    }
    return state;
}


LayersTable = {
    init: function() {
        LayersTable.refresh();
    },

    refresh: function() {
        var raw = __getLayers(DATA.state);
        var html = LayersTable.__html(DATA.layers);
        var rawHtml = LayersTable.__rawHtml(raw);
        $("#layers").html(html);
        $("#raw").html(rawHtml);
    },

    __html: function(layers) {
        var html = '';

        html += '<table class="table">'
        html += '<thead><th>layer</th><th>shader</th></thead><tbody>'

        for (var key in layers) {
            var item = layers[key];
            var values = "";
            var __visibleClass = "";
            if (!DATA.visible[key]) {
                __visibleClass = "selected"
            }
            values += "<span class='visibility " + __visibleClass + "' onclick='LayersTable.onVisibilityClick(\"" + key + "\")'>hide</span> ";
            for (var valueKey in item) {
                var value = item[valueKey];
                var __class = "";
                if (DATA.state[key] == value) {
                    __class = "selected"
                }
                values += "<span class='" + __class + "' onclick='LayersTable.onClick(\"" + key + "\", \"" + value + "\")'>" + value + "</span> ";
            }
            html += "<tr class='" + __visibleClass + "'><td>" + key + "</td><td>" + values + "</td></tr>"
        }

        html += '</tbody></table>'
        return html;
    },

    __rawHtml: function(raw) {
        return '<div style="word-wrap: break-word; text-decoration: underline; cursor:pointer;" onclick="window.open(\'http://devtest.tronog-engine.com/image/devtest/002/cam02/' + raw + '.jpg?q=90\')">http://devtest.tronog-engine.com/image/devtest/002/cam02/' + raw + '.jpg?q=90</div>';
    },

    onClick: function(key, value) {
        DATA.state[key] = value;
        LayersTable.refresh();
        refreshKonfigurator();
    },

    onVisibilityClick: function(key) {
        DATA.visible[key] = !DATA.visible[key]
        LayersTable.refresh();
        refreshKonfigurator();
    }
}


Menu = {
    init: function() {
        Menu.refresh();
    },

    refresh: function(showhide=true) {
        if (showhide)
            Menu.__showHide();

        var html = Menu.__html();

        $("#menu").html(html);
    },

    onClick: function(key, value) {
        DATA.elements[key] = value;
        Menu.__showHide();
        refreshKonfigurator();
        Menu.refresh();
        LayersTable.refresh();
    },

    reset: function() {
        onload();
    },

    hideAll: function() {
        for (var key in DATA.visible) {
            DATA.visible[key] = false;
        }
        refreshKonfigurator();
        Menu.refresh(false);
        LayersTable.refresh();
    },

    __showHide: function() {
        if (DATA.elements["chestpocket"] == 'off') {
            DATA.visible['JacketChestNoPocketMainMat'] = false;
            DATA.visible['JacketChestPocketBase'] = true;
            DATA.visible['JacketChestPocketMainMat'] = true;
            DATA.visible['JacketChestPocketZipper'] = true;
        }
        if (DATA.elements["chestpocket"] == 'on') {
            DATA.visible['JacketChestNoPocketMainMat'] = true;
            DATA.visible['JacketChestPocketBase'] = false;
            DATA.visible['JacketChestPocketMainMat'] = false;
            DATA.visible['JacketChestPocketZipper'] = false;
        }

        if ((DATA.elements["sleeveventilation"] == 'off') && (DATA.elements["sleevethumbs"] == 'off')) {
            DATA.visible['JacketMainNOVentilationNOThumbsInterlining'] = true
            DATA.visible['JacketMainNOVentilationNOThumbsSides'] = true
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesInner'] = true
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesOuter'] = true
            DATA.visible['JacketMainNOVentilationNOThumbsStitches'] = true
            
            DATA.visible['JacketMainNOVentilationThumbsInterlining'] = false
            DATA.visible['JacketMainNOVentilationThumbsSides'] = false
            DATA.visible['JacketMainNOVentilationThumbsSleevesInner'] = false
            DATA.visible['JacketMainNOVentilationThumbsSleevesOuter'] = false
            DATA.visible['JacketMainNOVentilationThumbsStitches'] = false
            DATA.visible['JacketMainNOVentilationThumbsthumb_loop'] = false
            
            DATA.visible['JacketMainVentilationNOThumbsInterlining'] = false
            DATA.visible['JacketMainVentilationNOThumbsSides'] = false
            DATA.visible['JacketMainVentilationNOThumbsSleevesInner'] = false
            DATA.visible['JacketMainVentilationNOThumbsSleevesOuter'] = false
            DATA.visible['JacketMainVentilationNOThumbsStitches'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipper'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipperPuller'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipperSlider'] = false
            DATA.visible['JacketMainVentilationNOThumbsBase'] = false
            
            DATA.visible['JacketMainVentilationThumbsInterlining'] = false
            DATA.visible['JacketMainVentilationThumbsSides'] = false
            DATA.visible['JacketMainVentilationThumbsSleevesInner'] = false
            DATA.visible['JacketMainVentilationThumbsSleevesOuter'] = false
            DATA.visible['JacketMainVentilationThumbsStitches'] = false
            
        }

        if ((DATA.elements["sleeveventilation"] == 'off') && (DATA.elements["sleevethumbs"] == 'on')) {
            DATA.visible['JacketMainNOVentilationNOThumbsInterlining'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSides'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesInner'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesOuter'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsStitches'] = false
            
            DATA.visible['JacketMainNOVentilationThumbsInterlining'] = true
            DATA.visible['JacketMainNOVentilationThumbsSides'] = true
            DATA.visible['JacketMainNOVentilationThumbsSleevesInner'] = true
            DATA.visible['JacketMainNOVentilationThumbsSleevesOuter'] = true
            DATA.visible['JacketMainNOVentilationThumbsStitches'] = true
            DATA.visible['JacketMainNOVentilationThumbsthumb_loop'] = true
            
            DATA.visible['JacketMainVentilationNOThumbsInterlining'] = false
            DATA.visible['JacketMainVentilationNOThumbsSides'] = false
            DATA.visible['JacketMainVentilationNOThumbsSleevesInner'] = false
            DATA.visible['JacketMainVentilationNOThumbsSleevesOuter'] = false
            DATA.visible['JacketMainVentilationNOThumbsStitches'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipper'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipperPuller'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipperSlider'] = false
            DATA.visible['JacketMainVentilationNOThumbsBase'] = false
            
            DATA.visible['JacketMainVentilationThumbsInterlining'] = false
            DATA.visible['JacketMainVentilationThumbsSides'] = false
            DATA.visible['JacketMainVentilationThumbsSleevesInner'] = false
            DATA.visible['JacketMainVentilationThumbsSleevesOuter'] = false
            DATA.visible['JacketMainVentilationThumbsStitches'] = false
            
        }

        if ((DATA.elements["sleeveventilation"] == 'on') && (DATA.elements["sleevethumbs"] == 'off')) {
            DATA.visible['JacketMainNOVentilationNOThumbsInterlining'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSides'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesInner'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesOuter'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsStitches'] = false
            
            DATA.visible['JacketMainNOVentilationThumbsInterlining'] = false
            DATA.visible['JacketMainNOVentilationThumbsSides'] = false
            DATA.visible['JacketMainNOVentilationThumbsSleevesInner'] = false
            DATA.visible['JacketMainNOVentilationThumbsSleevesOuter'] = false
            DATA.visible['JacketMainNOVentilationThumbsStitches'] = false
            DATA.visible['JacketMainNOVentilationThumbsthumb_loop'] = false
            
            DATA.visible['JacketMainVentilationNOThumbsInterlining'] = true
            DATA.visible['JacketMainVentilationNOThumbsSides'] = true
            DATA.visible['JacketMainVentilationNOThumbsSleevesInner'] = true
            DATA.visible['JacketMainVentilationNOThumbsSleevesOuter'] = true
            DATA.visible['JacketMainVentilationNOThumbsStitches'] = true
            DATA.visible['JacketMainVentilationNOThumbsZipper'] = true
            DATA.visible['JacketMainVentilationNOThumbsZipperPuller'] = true
            DATA.visible['JacketMainVentilationNOThumbsZipperSlider'] = true
            DATA.visible['JacketMainVentilationNOThumbsBase'] = true
            
            DATA.visible['JacketMainVentilationThumbsInterlining'] = false
            DATA.visible['JacketMainVentilationThumbsSides'] = false
            DATA.visible['JacketMainVentilationThumbsSleevesInner'] = false
            DATA.visible['JacketMainVentilationThumbsSleevesOuter'] = false
            DATA.visible['JacketMainVentilationThumbsStitches'] = false
            
        }

        if ((DATA.elements["sleeveventilation"] == 'on') && (DATA.elements["sleevethumbs"] == 'on')) {
            DATA.visible['JacketMainNOVentilationNOThumbsInterlining'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSides'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesInner'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsSleevesOuter'] = false
            DATA.visible['JacketMainNOVentilationNOThumbsStitches'] = false
            
            DATA.visible['JacketMainNOVentilationThumbsInterlining'] = false
            DATA.visible['JacketMainNOVentilationThumbsSides'] = false
            DATA.visible['JacketMainNOVentilationThumbsSleevesInner'] = false
            DATA.visible['JacketMainNOVentilationThumbsSleevesOuter'] = false
            DATA.visible['JacketMainNOVentilationThumbsStitches'] = false
            DATA.visible['JacketMainNOVentilationThumbsthumb_loop'] = false
            
            DATA.visible['JacketMainVentilationNOThumbsInterlining'] = false
            DATA.visible['JacketMainVentilationNOThumbsSides'] = false
            DATA.visible['JacketMainVentilationNOThumbsSleevesInner'] = false
            DATA.visible['JacketMainVentilationNOThumbsSleevesOuter'] = false
            DATA.visible['JacketMainVentilationNOThumbsStitches'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipper'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipperPuller'] = false
            DATA.visible['JacketMainVentilationNOThumbsZipperSlider'] = false
            DATA.visible['JacketMainVentilationNOThumbsBase'] = false
            
            DATA.visible['JacketMainVentilationThumbsInterlining'] = true
            DATA.visible['JacketMainVentilationThumbsSides'] = true
            DATA.visible['JacketMainVentilationThumbsSleevesInner'] = true
            DATA.visible['JacketMainVentilationThumbsSleevesOuter'] = true
            DATA.visible['JacketMainVentilationThumbsStitches'] = true
            
        }
        if (DATA.elements["top"] == 'hood') {
            DATA.visible['JacketTopCollarBase'] = false;
            DATA.visible['JacketTopCollarInterlining'] = false;
            DATA.visible['JacketTopCollarMainMat'] = false;
            DATA.visible['JacketTopCollarStitches'] = false;
            DATA.visible['JacketTopCollarStitches'] = false;
            DATA.visible['JacketTopCollarStitches'] = false;
            DATA.visible['JacketTopCollarTags'] = false;
            DATA.visible['JacketTopCollarZipper'] = false;
            DATA.visible['JacketTopCollarZipperPuller'] = false;
            DATA.visible['JacketTopCollarZipperSlider'] = false;

            DATA.visible['JacketTopHoodBase'] = true;
            DATA.visible['JacketTopHoodHoodCords'] = true;
            DATA.visible['JacketTopHoodInterlining'] = true;
            DATA.visible['JacketTopHoodMainMat'] = true;
            DATA.visible['JacketTopHoodStitches'] = true;
            DATA.visible['JacketTopHoodTags'] = true;
            DATA.visible['JacketTopHoodZipper'] = true;
            DATA.visible['JacketTopHoodZipperPuller'] = true;
            DATA.visible['JacketTopHoodZipperSlider'] = true;
        }

        if (DATA.elements["top"] == 'collar') {
            DATA.visible['JacketTopCollarBase'] = true;
            DATA.visible['JacketTopCollarInterlining'] = true;
            DATA.visible['JacketTopCollarMainMat'] = true;
            DATA.visible['JacketTopCollarStitches'] = true;
            DATA.visible['JacketTopCollarStitches'] = true;
            DATA.visible['JacketTopCollarStitches'] = true;
            DATA.visible['JacketTopCollarTags'] = true;
            DATA.visible['JacketTopCollarZipper'] = true;
            DATA.visible['JacketTopCollarZipperPuller'] = true;
            DATA.visible['JacketTopCollarZipperSlider'] = true;

            DATA.visible['JacketTopHoodBase'] = false;
            DATA.visible['JacketTopHoodHoodCords'] = false;
            DATA.visible['JacketTopHoodInterlining'] = false;
            DATA.visible['JacketTopHoodMainMat'] = false;
            DATA.visible['JacketTopHoodStitches'] = false;
            DATA.visible['JacketTopHoodTags'] = false;
            DATA.visible['JacketTopHoodZipper'] = false;
            DATA.visible['JacketTopHoodZipperPuller'] = false;
            DATA.visible['JacketTopHoodZipperSlider'] = false;
        }
    },

    __html: function() {
        var html = "";
        html += 'CHEST:<br/>'
        html += 'pocket:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('chestpocket','on') + '" onclick="Menu.onClick(\'chestpocket\',\'on\')">on</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('chestpocket','off') + '" onclick="Menu.onClick(\'chestpocket\',\'off\')">off</button>'
        html += '</div>'
        html += '<br/>'
        html += '<br/>'
        html += 'SLEEVE:<br/>'
        html += 'ventilation:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleeveventilation','on') + '" onclick="Menu.onClick(\'sleeveventilation\',\'on\')  ">on</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleeveventilation','off') + '" onclick="Menu.onClick(\'sleeveventilation\',\'off\') ">off</button>'
        html += '</div>'
        html += '<br/>'
        html += 'thumbs:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleevethumbs','on') + '" onclick="Menu.onClick(\'sleevethumbs\',\'on\')">on</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleevethumbs','off') + '" onclick="Menu.onClick(\'sleevethumbs\',\'off\')  ">off</button>'
        html += '</div>'
        html += '<br/>'
        html += '<br/>'
        html += 'TOP:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('top','hood') + '" onclick="Menu.onClick(\'top\',\'hood\')">hood</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('top','collar') + '" onclick="Menu.onClick(\'top\',\'collar\')">collar</button>'
        html += '</div>'
        html += '<br/>'
        html += '<br/>'
        html += 'special:<br/>'
        html += '<button class="btn btn-default" onclick="Menu.reset(\'top\',\'hood\')">reset</button>'
        html += '<button class="btn btn-default" onclick="Menu.hideAll(\'top\',\'collar\')">hide all</button>'
        return html;
    },

    __getClass: function(key, value) {
        var __class = "";
        if (DATA.elements[key] == value) {
            __class = "selected";
        }
        return __class;
    }
}



DATA = {}

DATA.elements = {
    'chestpocket': 'off',
    'sleeveventilation': 'off',
    'sleevethumbs': 'off',
    'top': 'hood',
};
DATA.visible = {};
DATA.state = {};
DATA.layers = {};
DATA.raw = [
'JacketChestNoPocketMainMat_MMFBB.png',
'JacketChestNoPocketMainMat_MMFBK.png',
'JacketChestNoPocketMainMat_MMFBT.png',
'JacketChestNoPocketMainMat_MMFDTL.png',
'JacketChestNoPocketMainMat_MMFJY.png',
'JacketChestNoPocketMainMat_MMFMG.png',
'JacketChestNoPocketMainMat_MMFMR.png',
'JacketChestNoPocketMainMat_MMFUMR.png',
'JacketChestNoPocketMainMat_MMFWH.png',
'JacketChestPocketBase_BASE.png',
'JacketChestPocketMainMat_MMFBB.png',
'JacketChestPocketMainMat_MMFBK.png',
'JacketChestPocketMainMat_MMFBT.png',
'JacketChestPocketMainMat_MMFDTL.png',
'JacketChestPocketMainMat_MMFJY.png',
'JacketChestPocketMainMat_MMFMG.png',
'JacketChestPocketMainMat_MMFMR.png',
'JacketChestPocketMainMat_MMFUMR.png',
'JacketChestPocketMainMat_MMFWH.png',
'JacketChestPocketZipper_MMZLNBK.png',
'JacketChestPocketZipper_MMZLNBT.png',
'JacketChestPocketZipper_MMZLNDTL.png',
'JacketChestPocketZipper_MMZLNMG.png',
'JacketChestPocketZipper_MMZLNMR.png',
'JacketChestPocketZipper_MMZLNUMR.png',
'JacketMainModelBackMainMat_MMFBB.png',
'JacketMainModelBackMainMat_MMFBK.png',
'JacketMainModelBackMainMat_MMFBT.png',
'JacketMainModelBackMainMat_MMFDTL.png',
'JacketMainModelBackMainMat_MMFJY.png',
'JacketMainModelBackMainMat_MMFMG.png',
'JacketMainModelBackMainMat_MMFMR.png',
'JacketMainModelBackMainMat_MMFUMR.png',
'JacketMainModelBackMainMat_MMFWH.png',
'JacketMainModelBackTopMainMat_MMFBB.png',
'JacketMainModelBackTopMainMat_MMFBK.png',
'JacketMainModelBackTopMainMat_MMFBT.png',
'JacketMainModelBackTopMainMat_MMFDTL.png',
'JacketMainModelBackTopMainMat_MMFJY.png',
'JacketMainModelBackTopMainMat_MMFMG.png',
'JacketMainModelBackTopMainMat_MMFMR.png',
'JacketMainModelBackTopMainMat_MMFUMR.png',
'JacketMainModelBackTopMainMat_MMFWH.png',
'JacketMainModelChestRightMainMat_MMFBB.png',
'JacketMainModelChestRightMainMat_MMFBK.png',
'JacketMainModelChestRightMainMat_MMFBT.png',
'JacketMainModelChestRightMainMat_MMFDTL.png',
'JacketMainModelChestRightMainMat_MMFJY.png',
'JacketMainModelChestRightMainMat_MMFMG.png',
'JacketMainModelChestRightMainMat_MMFMR.png',
'JacketMainModelChestRightMainMat_MMFUMR.png',
'JacketMainModelChestRightMainMat_MMFWH.png',
'JacketMainModelFrontBottomBase_BASE.png',
'JacketMainModelFrontBottomMainMat_MMFBB.png',
'JacketMainModelFrontBottomMainMat_MMFBK.png',
'JacketMainModelFrontBottomMainMat_MMFBT.png',
'JacketMainModelFrontBottomMainMat_MMFDTL.png',
'JacketMainModelFrontBottomMainMat_MMFJY.png',
'JacketMainModelFrontBottomMainMat_MMFMG.png',
'JacketMainModelFrontBottomMainMat_MMFMR.png',
'JacketMainModelFrontBottomMainMat_MMFUMR.png',
'JacketMainModelFrontBottomMainMat_MMFWH.png',
'JacketMainModelFrontBottomStitches_MMSTBB.png',
'JacketMainModelFrontBottomStitches_MMSTBK.png',
'JacketMainModelFrontBottomStitches_MMSTBT.png',
'JacketMainModelFrontBottomStitches_MMSTDTL.png',
'JacketMainModelFrontBottomStitches_MMSTJY.png',
'JacketMainModelFrontBottomStitches_MMSTMG.png',
'JacketMainModelFrontBottomStitches_MMSTMR.png',
'JacketMainModelFrontBottomStitches_MMSTUMR.png',
'JacketMainModelFrontBottomStitches_MMSTWH.png',
'JacketMainModelFrontBottomZipper_MMZLNBK.png',
'JacketMainModelFrontBottomZipper_MMZLNBT.png',
'JacketMainModelFrontBottomZipper_MMZLNDTL.png',
'JacketMainModelFrontBottomZipper_MMZLNMG.png',
'JacketMainModelFrontBottomZipper_MMZLNMR.png',
'JacketMainModelFrontBottomZipper_MMZLNUMR.png',
'JacketMainModelFrontBottomZipperPuller_MMZPEBK.png',
'JacketMainModelFrontBottomZipperPuller_MMZPEDTL.png',
'JacketMainModelFrontBottomZipperPuller_MMZPEMG.png',
'JacketMainModelFrontBottomZipperPuller_MMZPEMR.png',
'JacketMainModelFrontBottomZipperPuller_MMZPEUMR.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLBK.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLBR.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLBT.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLDTL.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLMG.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLMR.png',
'JacketMainModelFrontBottomZipperSlider_MMZSLUMR.png',
'JacketMainNOVentilationNOThumbsInterlining_MMBBK.png',
'JacketMainNOVentilationNOThumbsInterlining_MMBBT.png',
'JacketMainNOVentilationNOThumbsInterlining_MMBDTL.png',
'JacketMainNOVentilationNOThumbsInterlining_MMBJY.png',
'JacketMainNOVentilationNOThumbsInterlining_MMBTT.png',
'JacketMainNOVentilationNOThumbsSides_MMFBB.png',
'JacketMainNOVentilationNOThumbsSides_MMFBK.png',
'JacketMainNOVentilationNOThumbsSides_MMFBT.png',
'JacketMainNOVentilationNOThumbsSides_MMFDTL.png',
'JacketMainNOVentilationNOThumbsSides_MMFJY.png',
'JacketMainNOVentilationNOThumbsSides_MMFMG.png',
'JacketMainNOVentilationNOThumbsSides_MMFMR.png',
'JacketMainNOVentilationNOThumbsSides_MMFUMR.png',
'JacketMainNOVentilationNOThumbsSides_MMFWH.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFBB.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFBK.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFBT.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFDTL.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFJY.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFMG.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFMR.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFUMR.png',
'JacketMainNOVentilationNOThumbsSleevesInner_MMFWH.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFBB.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFBK.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFBT.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFDTL.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFJY.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFMG.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFMR.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFUMR.png',
'JacketMainNOVentilationNOThumbsSleevesOuter_MMFWH.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTBB.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTBK.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTBT.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTDTL.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTJY.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTMG.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTMR.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTUMR.png',
'JacketMainNOVentilationNOThumbsStitches_MMSTWH.png',
'JacketMainNOVentilationThumbsInterlining_MMBBK.png',
'JacketMainNOVentilationThumbsInterlining_MMBBT.png',
'JacketMainNOVentilationThumbsInterlining_MMBDTL.png',
'JacketMainNOVentilationThumbsInterlining_MMBJY.png',
'JacketMainNOVentilationThumbsInterlining_MMBTT.png',
'JacketMainNOVentilationThumbsSides_MMFBB.png',
'JacketMainNOVentilationThumbsSides_MMFBK.png',
'JacketMainNOVentilationThumbsSides_MMFBT.png',
'JacketMainNOVentilationThumbsSides_MMFDTL.png',
'JacketMainNOVentilationThumbsSides_MMFJY.png',
'JacketMainNOVentilationThumbsSides_MMFMG.png',
'JacketMainNOVentilationThumbsSides_MMFMR.png',
'JacketMainNOVentilationThumbsSides_MMFUMR.png',
'JacketMainNOVentilationThumbsSides_MMFWH.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFBB.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFBK.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFBT.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFDTL.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFJY.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFMG.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFMR.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFUMR.png',
'JacketMainNOVentilationThumbsSleevesInner_MMFWH.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFBB.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFBK.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFBT.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFDTL.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFJY.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFMG.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFMR.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFUMR.png',
'JacketMainNOVentilationThumbsSleevesOuter_MMFWH.png',
'JacketMainNOVentilationThumbsStitches_MMSTBB.png',
'JacketMainNOVentilationThumbsStitches_MMSTBK.png',
'JacketMainNOVentilationThumbsStitches_MMSTBT.png',
'JacketMainNOVentilationThumbsStitches_MMSTDTL.png',
'JacketMainNOVentilationThumbsStitches_MMSTJY.png',
'JacketMainNOVentilationThumbsStitches_MMSTMG.png',
'JacketMainNOVentilationThumbsStitches_MMSTMR.png',
'JacketMainNOVentilationThumbsStitches_MMSTUMR.png',
'JacketMainNOVentilationThumbsStitches_MMSTWH.png',
'JacketMainNOVentilationThumbsthumb_loop_MMTLFBK.png',
'JacketMainNOVentilationThumbsthumb_loop_MMTLFMG.png',
'JacketMainNOVentilationThumbsthumb_loop_MMTLFMR.png',
'JacketMainNOVentilationThumbsthumb_loop_MMTLFTL.png',
'JacketMainNOVentilationThumbsthumb_loop_MMTLFUMR.png',
'JacketMainVentilationNOThumbsBase_BASE.png',
'JacketMainVentilationNOThumbsInterlining_MMBBK.png',
'JacketMainVentilationNOThumbsInterlining_MMBBT.png',
'JacketMainVentilationNOThumbsInterlining_MMBDTL.png',
'JacketMainVentilationNOThumbsInterlining_MMBJY.png',
'JacketMainVentilationNOThumbsInterlining_MMBTT.png',
'JacketMainVentilationNOThumbsSides_MMFBB.png',
'JacketMainVentilationNOThumbsSides_MMFBK.png',
'JacketMainVentilationNOThumbsSides_MMFBT.png',
'JacketMainVentilationNOThumbsSides_MMFDTL.png',
'JacketMainVentilationNOThumbsSides_MMFJY.png',
'JacketMainVentilationNOThumbsSides_MMFMG.png',
'JacketMainVentilationNOThumbsSides_MMFMR.png',
'JacketMainVentilationNOThumbsSides_MMFUMR.png',
'JacketMainVentilationNOThumbsSides_MMFWH.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFBB.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFBK.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFBT.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFDTL.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFJY.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFMG.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFMR.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFUMR.png',
'JacketMainVentilationNOThumbsSleevesInner_MMFWH.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFBB.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFBK.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFBT.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFDTL.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFJY.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFMG.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFMR.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFUMR.png',
'JacketMainVentilationNOThumbsSleevesOuter_MMFWH.png',
'JacketMainVentilationNOThumbsStitches_MMSTBB.png',
'JacketMainVentilationNOThumbsStitches_MMSTBK.png',
'JacketMainVentilationNOThumbsStitches_MMSTBT.png',
'JacketMainVentilationNOThumbsStitches_MMSTDTL.png',
'JacketMainVentilationNOThumbsStitches_MMSTJY.png',
'JacketMainVentilationNOThumbsStitches_MMSTMG.png',
'JacketMainVentilationNOThumbsStitches_MMSTMR.png',
'JacketMainVentilationNOThumbsStitches_MMSTUMR.png',
'JacketMainVentilationNOThumbsStitches_MMSTWH.png',
'JacketMainVentilationNOThumbsZipper_MMZLNBK.png',
'JacketMainVentilationNOThumbsZipper_MMZLNBT.png',
'JacketMainVentilationNOThumbsZipper_MMZLNDTL.png',
'JacketMainVentilationNOThumbsZipper_MMZLNMG.png',
'JacketMainVentilationNOThumbsZipper_MMZLNMR.png',
'JacketMainVentilationNOThumbsZipper_MMZLNUMR.png',
'JacketMainVentilationNOThumbsZipperPuller_MMZPEBK.png',
'JacketMainVentilationNOThumbsZipperPuller_MMZPEDTL.png',
'JacketMainVentilationNOThumbsZipperPuller_MMZPEMG.png',
'JacketMainVentilationNOThumbsZipperPuller_MMZPEMR.png',
'JacketMainVentilationNOThumbsZipperPuller_MMZPEUMR.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLBK.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLBR.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLBT.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLDTL.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLMG.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLMR.png',
'JacketMainVentilationNOThumbsZipperSlider_MMZSLUMR.png',
'JacketMainVentilationThumbsBase_BASE.png',
'JacketMainVentilationThumbsInterlining_MMBBK.png',
'JacketMainVentilationThumbsInterlining_MMBBT.png',
'JacketMainVentilationThumbsInterlining_MMBDTL.png',
'JacketMainVentilationThumbsInterlining_MMBJY.png',
'JacketMainVentilationThumbsInterlining_MMBTT.png',
'JacketMainVentilationThumbsSides_MMFBB.png',
'JacketMainVentilationThumbsSides_MMFBK.png',
'JacketMainVentilationThumbsSides_MMFBT.png',
'JacketMainVentilationThumbsSides_MMFDTL.png',
'JacketMainVentilationThumbsSides_MMFJY.png',
'JacketMainVentilationThumbsSides_MMFMG.png',
'JacketMainVentilationThumbsSides_MMFMR.png',
'JacketMainVentilationThumbsSides_MMFUMR.png',
'JacketMainVentilationThumbsSides_MMFWH.png',
'JacketMainVentilationThumbsSleevesInner_MMFBB.png',
'JacketMainVentilationThumbsSleevesInner_MMFBK.png',
'JacketMainVentilationThumbsSleevesInner_MMFBT.png',
'JacketMainVentilationThumbsSleevesInner_MMFDTL.png',
'JacketMainVentilationThumbsSleevesInner_MMFJY.png',
'JacketMainVentilationThumbsSleevesInner_MMFMG.png',
'JacketMainVentilationThumbsSleevesInner_MMFMR.png',
'JacketMainVentilationThumbsSleevesInner_MMFUMR.png',
'JacketMainVentilationThumbsSleevesInner_MMFWH.png',
'JacketMainVentilationThumbsSleevesOuter_MMFBB.png',
'JacketMainVentilationThumbsSleevesOuter_MMFBK.png',
'JacketMainVentilationThumbsSleevesOuter_MMFBT.png',
'JacketMainVentilationThumbsSleevesOuter_MMFDTL.png',
'JacketMainVentilationThumbsSleevesOuter_MMFJY.png',
'JacketMainVentilationThumbsSleevesOuter_MMFMG.png',
'JacketMainVentilationThumbsSleevesOuter_MMFMR.png',
'JacketMainVentilationThumbsSleevesOuter_MMFUMR.png',
'JacketMainVentilationThumbsSleevesOuter_MMFWH.png',
'JacketMainVentilationThumbsStitches_MMSTBB.png',
'JacketMainVentilationThumbsStitches_MMSTBK.png',
'JacketMainVentilationThumbsStitches_MMSTBT.png',
'JacketMainVentilationThumbsStitches_MMSTDTL.png',
'JacketMainVentilationThumbsStitches_MMSTJY.png',
'JacketMainVentilationThumbsStitches_MMSTMG.png',
'JacketMainVentilationThumbsStitches_MMSTMR.png',
'JacketMainVentilationThumbsStitches_MMSTUMR.png',
'JacketMainVentilationThumbsStitches_MMSTWH.png',
'JacketMainVentilationThumbsthumb_loop_MMTLFBK.png',
'JacketMainVentilationThumbsthumb_loop_MMTLFMG.png',
'JacketMainVentilationThumbsthumb_loop_MMTLFMR.png',
'JacketMainVentilationThumbsthumb_loop_MMTLFTL.png',
'JacketMainVentilationThumbsthumb_loop_MMTLFUMR.png',
'JacketMainVentilationThumbsZipper_MMZLNBK.png',
'JacketMainVentilationThumbsZipper_MMZLNBT.png',
'JacketMainVentilationThumbsZipper_MMZLNDTL.png',
'JacketMainVentilationThumbsZipper_MMZLNMG.png',
'JacketMainVentilationThumbsZipper_MMZLNMR.png',
'JacketMainVentilationThumbsZipper_MMZLNUMR.png',
'JacketMainVentilationThumbsZipperPuller_MMZPEBK.png',
'JacketMainVentilationThumbsZipperPuller_MMZPEDTL.png',
'JacketMainVentilationThumbsZipperPuller_MMZPEMG.png',
'JacketMainVentilationThumbsZipperPuller_MMZPEMR.png',
'JacketMainVentilationThumbsZipperPuller_MMZPEUMR.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLBK.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLBR.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLBT.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLDTL.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLMG.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLMR.png',
'JacketMainVentilationThumbsZipperSlider_MMZSLUMR.png',
'JacketTopCollarBase_BASE.png',
'JacketTopCollarInterlining_MMBBK.png',
'JacketTopCollarInterlining_MMBBT.png',
'JacketTopCollarInterlining_MMBDTL.png',
'JacketTopCollarInterlining_MMBJY.png',
'JacketTopCollarInterlining_MMBTT.png',
'JacketTopCollarMainMat_MMFBB.png',
'JacketTopCollarMainMat_MMFBK.png',
'JacketTopCollarMainMat_MMFBT.png',
'JacketTopCollarMainMat_MMFDTL.png',
'JacketTopCollarMainMat_MMFJY.png',
'JacketTopCollarMainMat_MMFMG.png',
'JacketTopCollarMainMat_MMFMR.png',
'JacketTopCollarMainMat_MMFUMR.png',
'JacketTopCollarMainMat_MMFWH.png',
'JacketTopCollarStitches_Lining_MMSTBB.png',
'JacketTopCollarStitches_Lining_MMSTBK.png',
'JacketTopCollarStitches_Lining_MMSTBT.png',
'JacketTopCollarStitches_Lining_MMSTDTL.png',
'JacketTopCollarStitches_Lining_MMSTJY.png',
'JacketTopCollarStitches_Lining_MMSTMG.png',
'JacketTopCollarStitches_Lining_MMSTMR.png',
'JacketTopCollarStitches_Lining_MMSTUMR.png',
'JacketTopCollarStitches_Lining_MMSTWH.png',
'JacketTopCollarStitches_MainMat_MMSTBB.png',
'JacketTopCollarStitches_MainMat_MMSTBK.png',
'JacketTopCollarStitches_MainMat_MMSTBT.png',
'JacketTopCollarStitches_MainMat_MMSTDTL.png',
'JacketTopCollarStitches_MainMat_MMSTJY.png',
'JacketTopCollarStitches_MainMat_MMSTMG.png',
'JacketTopCollarStitches_MainMat_MMSTMR.png',
'JacketTopCollarStitches_MainMat_MMSTUMR.png',
'JacketTopCollarStitches_MainMat_MMSTWH.png',
'JacketTopCollarStitches_MMSTBB.png',
'JacketTopCollarStitches_MMSTBK.png',
'JacketTopCollarStitches_MMSTBT.png',
'JacketTopCollarStitches_MMSTDTL.png',
'JacketTopCollarStitches_MMSTJY.png',
'JacketTopCollarStitches_MMSTMG.png',
'JacketTopCollarStitches_MMSTMR.png',
'JacketTopCollarStitches_MMSTUMR.png',
'JacketTopCollarStitches_MMSTWH.png',
'JacketTopCollarTags_STFBKNBK.png',
'JacketTopCollarZipper_MMZLNBK.png',
'JacketTopCollarZipper_MMZLNBT.png',
'JacketTopCollarZipper_MMZLNDTL.png',
'JacketTopCollarZipper_MMZLNMG.png',
'JacketTopCollarZipper_MMZLNMR.png',
'JacketTopCollarZipper_MMZLNUMR.png',
'JacketTopCollarZipperPuller_MMZPEBK.png',
'JacketTopCollarZipperPuller_MMZPEDTL.png',
'JacketTopCollarZipperPuller_MMZPEMG.png',
'JacketTopCollarZipperPuller_MMZPEMR.png',
'JacketTopCollarZipperPuller_MMZPEUMR.png',
'JacketTopCollarZipperSlider_MMZSLBK.png',
'JacketTopCollarZipperSlider_MMZSLBR.png',
'JacketTopCollarZipperSlider_MMZSLBT.png',
'JacketTopCollarZipperSlider_MMZSLDTL.png',
'JacketTopCollarZipperSlider_MMZSLMG.png',
'JacketTopCollarZipperSlider_MMZSLMR.png',
'JacketTopCollarZipperSlider_MMZSLUMR.png',
'JacketTopHoodBase_BASE.png',
'JacketTopHoodHoodCords_MMELBK.png',
'JacketTopHoodHoodCords_MMELDTL.png',
'JacketTopHoodHoodCords_MMELMG.png',
'JacketTopHoodHoodCords_MMELMR.png',
'JacketTopHoodHoodCords_MMELUMR.png',
'JacketTopHoodInterlining_MMBBK.png',
'JacketTopHoodInterlining_MMBBT.png',
'JacketTopHoodInterlining_MMBDTL.png',
'JacketTopHoodInterlining_MMBJY.png',
'JacketTopHoodMainMat_MMFBB.png',
'JacketTopHoodMainMat_MMFBK.png',
'JacketTopHoodMainMat_MMFBT.png',
'JacketTopHoodMainMat_MMFDTL.png',
'JacketTopHoodMainMat_MMFJY.png',
'JacketTopHoodMainMat_MMFMG.png',
'JacketTopHoodMainMat_MMFMR.png',
'JacketTopHoodMainMat_MMFUMR.png',
'JacketTopHoodMainMat_MMFWH.png',
'JacketTopHoodStitches_Lining_MMSTBB.png',
'JacketTopHoodStitches_Lining_MMSTBK.png',
'JacketTopHoodStitches_Lining_MMSTBT.png',
'JacketTopHoodStitches_Lining_MMSTDTL.png',
'JacketTopHoodStitches_Lining_MMSTJY.png',
'JacketTopHoodStitches_Lining_MMSTMG.png',
'JacketTopHoodStitches_Lining_MMSTMR.png',
'JacketTopHoodStitches_Lining_MMSTUMR.png',
'JacketTopHoodStitches_Lining_MMSTWH.png',
'JacketTopHoodStitches_MainMat_MMSTBB.png',
'JacketTopHoodStitches_MainMat_MMSTBK.png',
'JacketTopHoodStitches_MainMat_MMSTBT.png',
'JacketTopHoodStitches_MainMat_MMSTDTL.png',
'JacketTopHoodStitches_MainMat_MMSTJY.png',
'JacketTopHoodStitches_MainMat_MMSTMG.png',
'JacketTopHoodStitches_MainMat_MMSTMR.png',
'JacketTopHoodStitches_MainMat_MMSTUMR.png',
'JacketTopHoodStitches_MainMat_MMSTWH.png',
'JacketTopHoodTags_STFBKNBK.png',
'JacketTopHoodZipper_MMZLNBK.png',
'JacketTopHoodZipper_MMZLNBT.png',
'JacketTopHoodZipper_MMZLNDTL.png',
'JacketTopHoodZipper_MMZLNMG.png',
'JacketTopHoodZipper_MMZLNMR.png',
'JacketTopHoodZipper_MMZLNUMR.png',
'JacketTopHoodZipperPuller_MMZPEBK.png',
'JacketTopHoodZipperPuller_MMZPEDTL.png',
'JacketTopHoodZipperPuller_MMZPEMG.png',
'JacketTopHoodZipperPuller_MMZPEMR.png',
'JacketTopHoodZipperPuller_MMZPEUMR.png',
'JacketTopHoodZipperSlider_MMZSLBK.png',
'JacketTopHoodZipperSlider_MMZSLBR.png',
'JacketTopHoodZipperSlider_MMZSLBT.png',
'JacketTopHoodZipperSlider_MMZSLDTL.png',
'JacketTopHoodZipperSlider_MMZSLMG.png',
'JacketTopHoodZipperSlider_MMZSLMR.png',
'JacketTopHoodZipperSlider_MMZSLUMR.png',
]

</script>

<?php
include "../../../common/footer.php";
?>
