<?php
$SELECTED = "3";
include "header.php";
?>

<div class="container">
    <iframe id="konfigurator" src="inline.html?id=0003" style="width: 100%; height: 700px" frameborder="0"></iframe>
</div>

<style>
#menu {
    position: absolute;
    display: inline-block;
    right: 100px;
    width: 150px;
    top: 150px;

}

#menu .btn {
    margin-top: 5px;
}

#menu .btn.selected {
    background: black;
    color: white;
    border-color: black;
}

#layers {
    position: absolute;
    display: inline-block;
    top: 100px;
    right: 300px;
    width: 35%;
    height: 650px;
    overflow-y: scroll;
}
#layers span:hover {
    text-decoration: underline;
}

#layers span.selected {
    font-weight: bold;
    color: white;
    background: #aaa;
}

#layers .visibility.selected {
    background: black;
}

#layers tr.selected {
    background: #eee;
}

#konfigurator {
    position: relative;
    left: -300px;
}

</style>

<div id="menu">

</div>
<div class="container" id="raw"></div>
<div class="container" id="layers"></div>

<script>


onload = function() {
    DATA.layers = __prepareLayers();
    DATA.visible = __prepareVisibility();
    DATA.state = __setInitialState();
    Menu.init();
    LayersTable.init();
    refreshKonfigurator()
}

refreshKonfigurator = function(layersStr) {
    var layers = __getLayers(DATA.state);
    var iframeWindow = document.getElementById("konfigurator").contentWindow;
    iframeWindow.postMessage("set/" + layers, "*");    
}


__getLayers = function(layers) {
    var result = "BG";

    for (var key in layers) {
        var value = layers[key];
        if (!DATA.visible[key])
            continue;

        if (result != "")
            result += ".";

        result += key + "_" + value
    }

    return result;
}


__prepareLayers = function() {
    var layers = {};

    for (var key in DATA.raw) {
        var item = DATA.raw[key].split(".png")[0];
        var items = item.split("_");
        if (items.length == 2) {
            var layerName = items[0];
            var layerValue = items[1];
        }
        if (items.length == 3) {
            var layerName = items[0] + "_" + items[1];
            var layerValue = items[2];
        }
        if (typeof layers[layerName] == 'undefined') {
            layers[layerName] = [];
        }
        layers[layerName].push(layerValue);
    }

    return layers;
}

__prepareVisibility = function() {
    var layers = {};

    for (var key in DATA.raw) {
        var item = DATA.raw[key].split(".png")[0];
        var items = item.split("_");
        if (items.length == 2) {
            var layerName = items[0];
            var layerValue = items[1];
        }
        if (items.length == 3) {
            var layerName = items[0] + "_" + items[1];
            var layerValue = items[2];
        }
        layers[layerName] = true;
    }

    return layers;
}

__setInitialState = function() {
    var state = {};
    for (var key in DATA.layers) {
        var layer = DATA.layers[key];
        state[key] = layer[0];
    }
    return state;
}


LayersTable = {
    init: function() {
        LayersTable.refresh();
    },

    refresh: function() {
        var raw = __getLayers(DATA.state);
        var html = LayersTable.__html(DATA.layers);
        var rawHtml = LayersTable.__rawHtml(raw);
        $("#layers").html(html);
        $("#raw").html(rawHtml);
    },

    __html: function(layers) {
        var html = '';

        html += '<table class="table">'
        html += '<thead><th>layer</th><th>shader</th></thead><tbody>'

        for (var key in layers) {
            var item = layers[key];
            var values = "";
            var __visibleClass = "";
            if (!DATA.visible[key]) {
                __visibleClass = "selected"
            }
            values += "<span class='visibility " + __visibleClass + "' onclick='LayersTable.onVisibilityClick(\"" + key + "\")'>hide</span> ";
            for (var valueKey in item) {
                var value = item[valueKey];
                var __class = "";
                if (DATA.state[key] == value) {
                    __class = "selected"
                }
                values += "<span class='" + __class + "' onclick='LayersTable.onClick(\"" + key + "\", \"" + value + "\")'>" + value + "</span> ";
            }
            html += "<tr class='" + __visibleClass + "'><td>" + key + "</td><td>" + values + "</td></tr>"
        }

        html += '</tbody></table>'
        return html;
    },

    __rawHtml: function(raw) {
        return '<div style="word-wrap: break-word; text-decoration: underline; cursor:pointer;" onclick="window.open(\'http://devtest.tronog-engine.com/image/mammut/male/cam02/' + raw + '.jpg?q=90\')">http://devtest.tronog-engine.com/image/mammut/male/cam02/' + raw + '.jpg?q=90</div>';
    },

    onClick: function(key, value) {
        DATA.state[key] = value;
        LayersTable.refresh();
        refreshKonfigurator();
    },

    onVisibilityClick: function(key) {
        DATA.visible[key] = !DATA.visible[key]
        LayersTable.refresh();
        refreshKonfigurator();
    }
}


Menu = {
    init: function() {
        Menu.refresh();
    },

    refresh: function(showhide=true) {
        if (showhide)
            Menu.__showHide();

        var html = Menu.__html();

        $("#menu").html(html);
    },

    onClick: function(key, value) {
        DATA.elements[key] = value;
        Menu.__showHide();
        refreshKonfigurator();
        Menu.refresh();
        LayersTable.refresh();
    },

    reset: function() {
        onload();
    },

    hideAll: function() {
        for (var key in DATA.visible) {
            DATA.visible[key] = false;
        }
        refreshKonfigurator();
        Menu.refresh(false);
        LayersTable.refresh();
    },

    __showHide: function() {
        if (DATA.elements["chestpocket"] == 'off') {
            DATA.visible['ChestRight'] = true;
            DATA.visible['ChestRightPocket'] = false;
            DATA.visible['ChestRightPocketZipper'] = false;
        }
        if (DATA.elements["chestpocket"] == 'on') {
            DATA.visible['ChestRight'] = false;
            DATA.visible['ChestRightPocket'] = true;
            DATA.visible['ChestRightPocketZipper'] = true;
        }

        if ((DATA.elements["sleeveventilation"] == 'off') && (DATA.elements["sleevethumbs"] == 'off')) {
            DATA.visible['MainInner'] = true;
            DATA.visible['MainOuter'] = true;
            DATA.visible['MainThumbsInner'] = false;
            DATA.visible['MainThumbsOuter'] = false;
            DATA.visible['MainVentilationInner'] = false;
            DATA.visible['MainVentilationOuter'] = false;
            DATA.visible['MainVentilationZipper'] = false;
            DATA.visible['MainVentilationThumbsInner'] = false;
            DATA.visible['MainVentilationThumbsOuter'] = false;
            DATA.visible['MainVentilationThumbsZipper'] = false;
        }

        if ((DATA.elements["sleeveventilation"] == 'off') && (DATA.elements["sleevethumbs"] == 'on')) {
            DATA.visible['MainInner'] = false;
            DATA.visible['MainOuter'] = false;
            DATA.visible['MainThumbsInner'] = true;
            DATA.visible['MainThumbsOuter'] = true;
            DATA.visible['MainVentilationInner'] = false;
            DATA.visible['MainVentilationOuter'] = false;
            DATA.visible['MainVentilationZipper'] = false;
            DATA.visible['MainVentilationThumbsInner'] = false;
            DATA.visible['MainVentilationThumbsOuter'] = false;
            DATA.visible['MainVentilationThumbsZipper'] = false;
        }

        if ((DATA.elements["sleeveventilation"] == 'on') && (DATA.elements["sleevethumbs"] == 'off')) {
            DATA.visible['MainInner'] = false;
            DATA.visible['MainOuter'] = false;
            DATA.visible['MainThumbsInner'] = false;
            DATA.visible['MainThumbsOuter'] = false;
            DATA.visible['MainVentilationInner'] = true;
            DATA.visible['MainVentilationOuter'] = true;
            DATA.visible['MainVentilationZipper'] = true;
            DATA.visible['MainVentilationThumbsInner'] = false;
            DATA.visible['MainVentilationThumbsOuter'] = false;
            DATA.visible['MainVentilationThumbsZipper'] = false;
        }

        if ((DATA.elements["sleeveventilation"] == 'on') && (DATA.elements["sleevethumbs"] == 'on')) {
            DATA.visible['MainInner'] = false;
            DATA.visible['MainOuter'] = false;
            DATA.visible['MainThumbsInner'] = false;
            DATA.visible['MainThumbsOuter'] = false;
            DATA.visible['MainVentilationInner'] = false;
            DATA.visible['MainVentilationOuter'] = false;
            DATA.visible['MainVentilationZipper'] = false;
            DATA.visible['MainVentilationThumbsInner'] = true;
            DATA.visible['MainVentilationThumbsOuter'] = true;
            DATA.visible['MainVentilationThumbsZipper'] = true;
        }
        if (DATA.elements["top"] == 'hood') {
            DATA.visible['Collar'] = false;
            DATA.visible['CollarZipper'] = false;
            DATA.visible['Hood'] = true;
            DATA.visible['HoodCords'] = true;
            DATA.visible['HoodZipper'] = true;
        }

        if (DATA.elements["top"] == 'collar') {
            DATA.visible['Collar'] = true;
            DATA.visible['CollarZipper'] = true;
            DATA.visible['Hood'] = false;
            DATA.visible['HoodCords'] = false;
            DATA.visible['HoodZipper'] = false;
        }
    },

    __html: function() {
        var html = "";
        html += 'CHEST:<br/>'
        html += 'pocket:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('chestpocket','on') + '" onclick="Menu.onClick(\'chestpocket\',\'on\')">on</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('chestpocket','off') + '" onclick="Menu.onClick(\'chestpocket\',\'off\')">off</button>'
        html += '</div>'
        html += '<br/>'
        html += '<br/>'
        html += 'SLEEVE:<br/>'
        html += 'ventilation:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleeveventilation','on') + '" onclick="Menu.onClick(\'sleeveventilation\',\'on\')  ">on</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleeveventilation','off') + '" onclick="Menu.onClick(\'sleeveventilation\',\'off\') ">off</button>'
        html += '</div>'
        html += '<br/>'
        html += 'thumbs:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleevethumbs','on') + '" onclick="Menu.onClick(\'sleevethumbs\',\'on\')">on</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('sleevethumbs','off') + '" onclick="Menu.onClick(\'sleevethumbs\',\'off\')  ">off</button>'
        html += '</div>'
        html += '<br/>'
        html += '<br/>'
        html += 'TOP:<br/>'
        html += '<div class="btn-group" role="group">'
        html += '<button class="btn btn-primary ' + Menu.__getClass('top','hood') + '" onclick="Menu.onClick(\'top\',\'hood\')">hood</button>'
        html += '<button class="btn btn-primary ' + Menu.__getClass('top','collar') + '" onclick="Menu.onClick(\'top\',\'collar\')">collar</button>'
        html += '</div>'
        html += '<br/>'
        html += '<br/>'
        html += 'special:<br/>'
        html += '<button class="btn btn-default" onclick="Menu.reset(\'top\',\'hood\')">reset</button>'
        html += '<button class="btn btn-default" onclick="Menu.hideAll(\'top\',\'collar\')">hide all</button>'
        return html;
    },

    __getClass: function(key, value) {
        var __class = "";
        if (DATA.elements[key] == value) {
            __class = "selected";
        }
        return __class;
    }
}



DATA = {}

DATA.elements = {
    'chestpocket': 'off',
    'sleeveventilation': 'off',
    'sleevethumbs': 'off',
    'top': 'hood',
};
DATA.visible = {};
DATA.state = {};
DATA.layers = {};
DATA.raw = [
    'Back_Barberry.png',
'Back_Beet.png',
'Back_Black.png',
'Back_DarkTeal.png',
'Back_Jay.png',
'Back_Magma.png',
'Back_Marine.png',
'BackTop_Barberry.png',
'BackTop_Beet.png',
'BackTop_Black.png',
'BackTop_DarkTeal.png',
'BackTop_Jay.png',
'BackTop_Magma.png',
'BackTop_Marine.png',
'BackTop_Ultramarine.png',
'BackTop_Whisper.png',
'Back_Ultramarine.png',
'Back_Whisper.png',
'ChestLeft_Barberry.png',
'ChestLeft_Beet.png',
'ChestLeft_Black.png',
'ChestLeft_DarkTeal.png',
'ChestLeft_Jay.png',
'ChestLeft_Magma.png',
'ChestLeft_Marine.png',
'ChestLeft_Ultramarine.png',
'ChestLeft_Whisper.png',
'ChestRight_Barberry.png',
'ChestRight_Beet.png',
'ChestRight_Black.png',
'ChestRight_DarkTeal.png',
'ChestRight_Jay.png',
'ChestRight_Magma.png',
'ChestRight_Marine.png',
'ChestRightPocket_Barberry.png',
'ChestRightPocket_Beet.png',
'ChestRightPocket_Black.png',
'ChestRightPocket_DarkTeal.png',
'ChestRightPocket_Jay.png',
'ChestRightPocket_Magma.png',
'ChestRightPocket_Marine.png',
'ChestRightPocket_Ultramarine.png',
'ChestRightPocket_Whisper.png',
'ChestRightPocketZipper_Beet.png',
'ChestRightPocketZipper_Black.png',
'ChestRightPocketZipper_DarkTeal.png',
'ChestRightPocketZipper_Magma.png',
'ChestRightPocketZipper_Marine.png',
'ChestRightPocketZipper_Ultramarine.png',
'ChestRight_Ultramarine.png',
'ChestRight_Whisper.png',
'FrontBottom_Barberry.png',
'FrontBottom_Beet.png',
'FrontBottom_Black.png',
'FrontBottom_DarkTeal.png',
'FrontBottom_Jay.png',
'FrontBottom_Magma.png',
'FrontBottom_Marine.png',
'FrontBottom_Ultramarine.png',
'FrontBottom_Whisper.png',
'FrontBottomZipper_Beet.png',
'FrontBottomZipper_Black.png',
'FrontBottomZipper_DarkTeal.png',
'FrontBottomZipper_Magma.png',
'FrontBottomZipper_Marine.png',
'FrontBottomZipper_Ultramarine.png',
'MainInner_Barberry.png',
'MainInner_Beet.png',
'MainInner_Black.png',
'MainInner_DarkTeal.png',
'MainInner_Jay.png',
'MainInner_Magma.png',
'MainInner_Marine.png',
'MainInner_Ultramarine.png',
'MainInner_Whisper.png',
'MainOuter_Barberry.png',
'MainOuter_Beet.png',
'MainOuter_Black.png',
'MainOuter_DarkTeal.png',
'MainOuter_Jay.png',
'MainOuter_Magma.png',
'MainOuter_Marine.png',
'MainOuter_Ultramarine.png',
'MainOuter_Whisper.png',
'MainThumbsInner_Barberry.png',
'MainThumbsInner_Beet.png',
'MainThumbsInner_Black.png',
'MainThumbsInner_DarkTeal.png',
'MainThumbsInner_Jay.png',
'MainThumbsInner_Magma.png',
'MainThumbsInner_Marine.png',
'MainThumbsInner_Ultramarine.png',
'MainThumbsInner_Whisper.png',
'MainThumbsOuter_Barberry.png',
'MainThumbsOuter_Beet.png',
'MainThumbsOuter_Black.png',
'MainThumbsOuter_DarkTeal.png',
'MainThumbsOuter_Jay.png',
'MainThumbsOuter_Magma.png',
'MainThumbsOuter_Marine.png',
'MainThumbsOuter_Ultramarine.png',
'MainThumbsOuter_Whisper.png',
'MainVentilationInner_Barberry.png',
'MainVentilationInner_Beet.png',
'MainVentilationInner_Black.png',
'MainVentilationInner_DarkTeal.png',
'MainVentilationInner_Jay.png',
'MainVentilationInner_Magma.png',
'MainVentilationInner_Marine.png',
'MainVentilationInner_Ultramarine.png',
'MainVentilationInner_Whisper.png',
'MainVentilationOuter_Barberry.png',
'MainVentilationOuter_Beet.png',
'MainVentilationOuter_Black.png',
'MainVentilationOuter_DarkTeal.png',
'MainVentilationOuter_Jay.png',
'MainVentilationOuter_Magma.png',
'MainVentilationOuter_Marine.png',
'MainVentilationOuter_Ultramarine.png',
'MainVentilationOuter_Whisper.png',
'MainVentilationThumbsInner_Barberry.png',
'MainVentilationThumbsInner_Beet.png',
'MainVentilationThumbsInner_Black.png',
'MainVentilationThumbsInner_DarkTeal.png',
'MainVentilationThumbsInner_Jay.png',
'MainVentilationThumbsInner_Magma.png',
'MainVentilationThumbsInner_Marine.png',
'MainVentilationThumbsInner_Ultramarine.png',
'MainVentilationThumbsInner_Whisper.png',
'MainVentilationThumbsOuter_Barberry.png',
'MainVentilationThumbsOuter_Beet.png',
'MainVentilationThumbsOuter_Black.png',
'MainVentilationThumbsOuter_DarkTeal.png',
'MainVentilationThumbsOuter_Jay.png',
'MainVentilationThumbsOuter_Magma.png',
'MainVentilationThumbsOuter_Marine.png',
'MainVentilationThumbsOuter_Ultramarine.png',
'MainVentilationThumbsOuter_Whisper.png',
'MainVentilationThumbsZipper_Beet.png',
'MainVentilationThumbsZipper_Black.png',
'MainVentilationThumbsZipper_DarkTeal.png',
'MainVentilationThumbsZipper_Magma.png',
'MainVentilationThumbsZipper_Marine.png',
'MainVentilationThumbsZipper_Ultramarine.png',
'MainVentilationZipper_Beet.png',
'MainVentilationZipper_Black.png',
'MainVentilationZipper_DarkTeal.png',
'MainVentilationZipper_Magma.png',
'MainVentilationZipper_Marine.png',
'MainVentilationZipper_Ultramarine.png',
'Collar_Barberry.png',
'Collar_Beet.png',
'Collar_Black.png',
'Collar_DarkTeal.png',
'Collar_Jay.png',
'Collar_Magma.png',
'Collar_Marine.png',
'Collar_Ultramarine.png',
'Collar_Whisper.png',
'CollarZipper_Beet.png',
'CollarZipper_Black.png',
'CollarZipper_DarkTeal.png',
'CollarZipper_Magma.png',
'CollarZipper_Marine.png',
'CollarZipper_Ultramarine.png',
'Hood_Barberry.png',
'Hood_Beet.png',
'Hood_Black.png',
'HoodCords_Black.png',
'HoodCords_DarkTeal.png',
'HoodCords_Magma.png',
'HoodCords_Marine.png',
'HoodCords_Ultramarine.png',
'Hood_DarkTeal.png',
'Hood_Jay.png',
'Hood_Magma.png',
'Hood_Marine.png',
'Hood_Ultramarine.png',
'Hood_Whisper.png',
'HoodZipper_Beet.png',
'HoodZipper_Black.png',
'HoodZipper_DarkTeal.png',
'HoodZipper_Magma.png',
'HoodZipper_Marine.png',
'HoodZipper_Ultramarine.png',
]

</script>

<?php
include "footer.php";
?>
