H = {
    DIV: "#event-catcher",
    
    events: {},
    implementation: {},
    state: {
        selected: "",
        data: {},
    },
    
    init: function() {
        H.implementation.init();
        H.render();
    },
    
    render: function() {
        // console.trace();
        H.implementation.draw();
    },
    
    getHotspot: function(id) {
        return H.implementation.getHotspot(id);
    },
    
    show: function(id) {
        H.implementation.show(id);
    },
    
    hide: function(id) {
        H.implementation.hide(id);
    },
    
    select: function(id) {
        H.implementation.select(id);
    },
    
}

H.events = {
    onClick: function(id) {
        H.implementation.select(id);
    }, 
    
    __onResize: function() {
        H.render();
    },
    
    __onAfterNewSelection: function(oldItem, newItem) {
        H.render();
    },
    
    onBeforeRender: function(perspective) {
        
    },
    
    onAfterRender: function(perspective) {
        
    },
}

H.implementation = {
    init: function() {
        var _onResize = W.events.onResize;
        var _onAfterNewSelection = P.events.onAfterNewSelection;
        
        H.state.data = L.hotspots;
        
        W.events.onResize = function() {
            _onResize();
            H.events.__onResize();
        }
        
        P.events.onAfterNewSelection = function(oldItem, newItem) {
            _onAfterNewSelection(oldItem, newItem);
            H.events.__onAfterNewSelection(oldItem, newItem);
        }
    },
    
    draw: function() {
        H.html.render();
    },
    
    getHotspot: function(id) {
        var perspective = H.state.data[I.getCurrent()-1];
        
        for (i in perspective) {
            var hotspot = perspective[i];
            if (hotspot.id == id)
                return hotspot;
        }
        return null;
    },
    
    show: function(id) {
        for (cam in H.state.data) {
            var perspective = H.state.data[cam];

            for (i in perspective) {
                var hotspot = perspective[i];
                if (hotspot.id == id)
                    hotspot.hidden = false;
            }
        }
    },
    
    hide: function(id) {
        for (cam in H.state.data) {
            var perspective = H.state.data[cam];

            for (i in perspective) {
                var hotspot = perspective[i];
                if (hotspot.id == id)
                    hotspot.hidden = true;
            }
        }
    },
    
    select: function(id) {
        H.state.selected = id;
        H.render();
    },
    
}

H.html = {
    render: function() {
        var html = "";
        var perspective = H.state.data[I.getCurrent()-1];
        var hotspot;
        
        H.events.onBeforeRender(perspective);
        
        for (i in perspective) {
            hotspot = perspective[i];
            if (typeof hotspot.hidden != 'undefined') {
                if (hotspot.hidden == true) {
                    continue;
                }
            }
            html += H.html.__generate(
                hotspot.x, hotspot.y, hotspot.r, hotspot.id);
        }
        
        $(H.DIV).html(html);
        
        H.events.onAfterRender(perspective);
    },
    
    __generate: function(x, y, r, id) {
        var result = "";
        
        if (H.state.selected == id)
            result += "<div class=\"hotspot selected\" " ;
        else 
            result += "<div class=\"hotspot\" " ;
        
        result += "id=\"hotspot_" + id + "\" "
            + "style=\"" 
            + "top: "  + H.html.__getY(y,r) + "px; " 
            + "left: " + H.html.__getX(x,r) + "px; " 
            + "width: " + H.html.__getWidth(r) + "px; " 
            + "height: " + H.html.__getHeight(r) + "px;\" " 
            + "onclick=\"H.events.onClick('" + id + "')\"></div>";
        
        return result;
    },
    
    // __getX: function(x, r) {
    //     // CENTER ALIGNED
    //     return (W.width - (I.imageWidth*I.getScale()))/2 + (x*I.getScale());
    // },
    
    // __getY: function(y, r) {
    //     // CENTER ALIGNED
    // //    return (W.height - I.imageHeight)/2 + y;

    //     // ABSOLUTE WITH SCALING
    //     return y*I.getScale();
    // },
    
    // __getWidth: function(w) {
    //     return w*I.getScale();
    // },
    
    // __getHeight: function(h) {
    //     return h*I.getScale();
    // }
    
    __getX: function(x, r) {
        // x -= 60;
        // return (W.width - (I.imageWidth*I.getScale())/(1.25))/2 + (x*I.getScale()/(1.17));
        var img = $("#img"+I.getCurrent());
        return img.offset().left + ((x*img.width())/I.imageWidth) - r*img.width()/I.imageWidth;
    },
    
    __getY: function(y, r) {
        // return y*I.getScale()/(1.16)+(W.height*0.099);
        var img = $("#img"+I.getCurrent());
        return img.offset().top + ((y*img.height())/I.imageHeight) - r*img.width()/I.imageHeight;
    },
        
    __getWidth: function(w) {
        var img = $("#img"+I.getCurrent());
        return (w*2)*img.width()/I.imageWidth;
    },
    
    __getHeight: function(h) {
        var img = $("#img"+I.getCurrent());
        return (h*2)*img.width()/I.imageWidth;
    },    
}