I = {

    implementation: {},

    _imagesDiv: "#images",
    _variant: "0000000000",

    current: 1,
    images: 10,
    imageStart: 3,
    imageEnd: 10,
    imageInitial: 0,
    imageWidth: 1920,
    imageHeight: 1080,
    flippedList: true,

    init: function() {
        I.flippedList  = L.settings.data.flippedList;
        I.imageStart   = L.settings.data.imageStart;
        I.imageInitial = L.settings.data.imageInitial;
        I.current      = I.imageInitial;
        I.imageEnd     = L.settings.data.imageEnd;
        I.images       = I.imageEnd - I.imageStart + 1;
        I.imageWidth   = L.settings.data.imageWidth;
        I.imageHeight  = L.settings.data.imageHeight;
        I.ui.init();
    },

    show: function() {
        I.ui.show();
    },

    hide: function() {
        I.ui.hide();
    },

    showImage: function(img) {
        I.current = img;
        I.ui.showImage(img);
    },

    setVariant: function(variant) {
        I._variant = variant;
        I.ui.render();
    },

    getCurrent: function() {
        if (isNaN(I.current)) {
            I.current = I.imageStart;
        }
        var current = I.current;
        if (current < I.imageStart) {
            current = I.imageEnd - (I.imageStart - current - 1);
        }
        return current;
    },

    getCurrentImageUrl: function() {
        var img = "#img" + I.getCurrent();
        var src = $(img).attr('src');
        return src;
    },

    getScale: function() {
        if (W.autofit) {
            if ((W.width/W.height) > (I.imageWidth/I.imageHeight)) {
                // window is WIDER, scaling by width
                return W.width / I.imageWidth;
            } else {
                // window is LONGER, scaling by height
                return W.height / I.imageHeight;
            }
        }

        // ELSE
        return W.height / I.imageHeight;
    },

    setRange: function(imageStart, imageEnd, current) {
        I.implementation.setRange(imageStart, imageEnd, current);
    }
}

I.events = {
    onBeforeShowImage: function(img) {

    },

    onAfterShowImage: function(img) {

    }
}

I.implementation = {
    setRange: function(imageStart, imageEnd, current) {
        I.imageStart = imageStart;
        I.imageEnd = imageEnd;
        I.current = current;

        I.showImage(current);
    }
}

I.ui = {
    init: function() {

    },

    render: function() {

    },

    show: function() {
        $(P._imagesDiv).removeClass("hidden");
    },

    hide: function() {
        $(P._imagesDiv).addClass("hidden");
    },

    showImage: function(img) {
//        console.log("I.showImage1 " + img)
        I.events.onBeforeShowImage(img);
        if (I.flippedList) {
            // img = (I.images + 1) - img;
            img = (I.imageEnd + 1) - img;
        }
//        console.log("I.showImage2 " + img)
        I.current = img;
//        console.log("#img"+img)
        for (var i=1; i <= I.images; i++) {
            if (i == img) {
                $("#img"+i).removeClass("hidden");
            } else {
                $("#img"+i).addClass("hidden");
            }
        }
        I.events.onAfterShowImage(img);
    }
}
