LENS = {
    init: function() {
        LENS.impl.init();
    },

    setReferenceImg: function(referenceImg) {
        LENS.impl.setReferenceImg(referenceImg);
    },

    show: function() {
        LENS.impl.show();
    },

    hide: function() {
        LENS.impl.hide();
    },

    toggle: function() {
        LENS.impl.toggle();
    },

    setPosition: function(x, y) {
        LENS.impl.setPosition(x, y);
    }
}

LENS.impl = {
    _img: "https://paratec-d.minm.si/image/paratec/170206/cam01/BG.baseCentury_alcantara.MG2_TXBNFLTRQ.MG26_TXBT8RBL.MG27_TXBT8RBL.MG210_TXSTPRP.MG83_TXACGRD.MG109_TXACGRD.MG113_TXACGRD.MG7_TXSPBK.MG8_TXSTBK.MG31_TXSFBK.MG32_TXBNFLTRQ.MG33_TXSTBK.MG34_TXACGRD.MG35_TXBT8RBL.MG36_TXACGRD.MG37_TXBT8RBL.MG38_TXSTPRP.MG50_TXACIBL.MG52_TXACIBL.MG56_TXACGRD.MG57_TXACGRD.MG60_TXACGRD.MG65_TXBNDG.MG69_TXBT17RBL.MG70_TXBT17RBL.MG73_TXBNBK.MG74_TXBNGLD.MG75_MTSSGL.MG76_TXSTBK.MG82_TXACIBL.MG84_TXACCG.MG85_TXACGRD.MG86_TXACIBL.MG87_TXACGRD.MG88_TXACIBL.MG89_TXACGRD.MG90_TXACIBL.MG91_TXACIBL.MG92_TXACGRD.MG93_TXBNFLTRQ.MG94_TXBNFLTRQ.MG95_TXBNFLTRQ.MG96_TXBNFLTRQ.MG97_TXACIBL.MG98_TXACIBL.MG101_TXACGRD.MG105_TXACGRD.MG16_TXSTBK.MG17_TXELBK.MG18_MTSSGL.MG19_TXSTPRP.MG22_TXACGRD.MG54_TXLSTWH.MG62_TXCRDG.MG106_TXLSTWH.MG107_TXLSTGY.MG110_TXLSTWH.MG111_TXLSTGY.MG114_TXLSTWH.MG115_TXLSTGY.MG20_TXBT8RBL.MG23_TXLSTWH.MG24_TXLSTGY.jpg?q=90",
    _x: 500,
    _y: 500,
    _w: 640,
    _h: 900,
    _el: null,
    _elImg: null,
    _moving: false,
    _referenceImg: null,
    _visible: false,

    init: function() {
        LENS.impl._el = $(".tr2-mag .tr2-lens")
        LENS.impl._elImg = $(".tr2-mag .tr2-lens img")
        // LENS.impl._referenceImg = $("#img" + I.getCurrent());
        LENS.impl.setReferenceImg();
        LENS.impl.setPosition();
        LENS.impl._register();
        LENS.impl.hide();
    },

    show: function() {
        LENS.impl.setReferenceImg();
        LENS.impl._el.show();
        LENS.impl._visible = true;
        LENS.impl._moving = true;
    },

    hide: function() {
        LENS.impl._el.hide();
        LENS.impl._visible = false;
        LENS.impl._moving = false;
    },

    toggle: function() {
        if (LENS.impl._visible == true) {
            LENS.impl.hide();
        } else {
            LENS.impl.show();
        }
    },

    _register: function() {
        LENS.impl._el.mousedown(function(ev) {
            // LENS.impl._moving = true;
            LENS.impl._moving = false;
        });

        LENS.impl._el.mousemove(function(ev) {
            if (LENS.impl._moving == true)
                LENS.impl.setPosition(ev.clientX-150, ev.clientY-150);
        });

        LENS.impl._el.mouseup(function(ev) {
            // LENS.impl._moving = false;
            LENS.impl.hide();
        });
    },

    // referenceImg - full jQuery element
    setReferenceImg: function(referenceImg) {
        if (typeof referenceImg != 'undefined')
            LENS.impl._referenceImg = referenceImg;
        else
            LENS.impl._referenceImg = $("#img" + I.getCurrent());

        LENS.impl._img = LENS.impl._referenceImg.attr('src');
        LENS.impl._elImg.attr('src', LENS.impl._img);
        LENS.impl._elImg.on('load', function() {
            LENS.impl._w = LENS.impl._elImg.width();
            LENS.impl._h = LENS.impl._elImg.height();
        })
    },

    setPosition: function(x, y) {
        if (typeof x != 'undefined')
            LENS.impl._x = x;

        if (typeof y != 'undefined')
            LENS.impl._y = y;

        LENS.impl._el.attr("style", "top: " + LENS.impl._y + "px; left: " + LENS.impl._x + "px;");

        var _x = Math.floor(LENS.impl._referenceImg.offset().left);
        var _y = Math.floor(LENS.impl._referenceImg.offset().top);
        var _w = Math.floor(LENS.impl._referenceImg.width());
        var _h = Math.floor(LENS.impl._referenceImg.height());

        var style = "top: " + (-70+((_y-LENS.impl._y)*(LENS.impl._h/_h))) + "px; left: " + (-70+((_x-LENS.impl._x)*(LENS.impl._w/_w))) + "px;";

        LENS.impl._elImg.attr('style', style);
        // console.log(_x + " " + _y + " " + _w + " " + _h + " " + style)
    }
}