/* global K */

L = {
    urls: {
        KONFIGURATOR: "/konfigurator2/data/konfigurator",
        PRODUCTS:     "/konfigurator2/data/konfigurator/products",
        IMG: "img",
    },
    controller: {},
    events: {},
    products: {},
    global: {},
    settings: {},
    images: {},
    hotspots: {},
    util: {},
    
    implementation: {},
    
    
    init: function() {
        L.implementation.init();
    },
    
    load: function(id) {
        L.implementation.load(id);
    },
    
    selectOption: function(item) {
        L.implementation.selectOption(item);
    },
    
};

L.implementation = {
    
    init: function() {
        L.products.init();
    },
    
    load: function(id) {
        L.products.load(id);
    },
    
    selectOption: function(item) {
        L.options.selectOption(item);
    },
}


L.controller = {
    globalLoadComplete: false,
    productLoadComplete: false,
    
    onGlobalLoad: function(id, result) {
        this.globalLoadComplete = true;
        L.events.onGlobalLoad();
        this.onLoad();
    },
    onProductLoad: function(id, result) {
        this.productLoadComplete = true;
        L.events.onProductLoad();
        this.onLoad();
    },
    
    onLoad: function() {
        if (this.globalLoadComplete && this.productLoadComplete)
            L.events.onLoad();
    }
}

L.events = {
    onGlobalLoad: function() {},
    onProductLoad: function() {},
    onLoad: function() {}
}

L.products = {
    productOriginalData: {},
    
    init: function() {
        
    },
    
    load: function(id) {
        $.ajax({url: L.urls.KONFIGURATOR + "/konfigurator.json", success: function(result){
            L.products._onLoadGlobal(result);
        }});
        $.ajax({url: L.urls.PRODUCTS + "/" + id + "/properties.json", success: function(result){
            L.products._onLoadProduct(id, result);
        }});
        
    },
    
    _onLoadGlobal: function(result) {
        if (typeof result == "object")
            L.global = result;
        else
            L.global = JSON.parse(result);
        
        L.controller.onGlobalLoad();
    },
    
    _onLoadProduct: function(id, result) {
        if (typeof result == "string")
            var p = JSON.parse(result);
        else
            var p = result;
        
        L.products.productOriginalData = p;
        L.settings.name = p.name;
        L.settings.brand = p.brand;
        L.settings.classes = p.classes;
        L.settings.data = p.settings;
        L.images.data.list = p.images;
        L.images.data.bgImage = p.bgImage;
        L.hotspots = p.hotspots;
        L.controller.onProductLoad();
    }
    
};

L.global = {
    brand: ""
};

L.settings = {
    name: "",
    brand: "",
    variant: "0000000000",
    classes: "",
    data: {
        mouseSensitivity: 1,
        touchSensitivity: 0.25,
        flippedList: true,
        images: 10,
        imageStart: 3,
        imageEnd: 10,
        imageInitial: 6,
        imageWidth: 1920,
        imageHeight: 1080,
        selected: 6,
        rotateSpeed: 175
    }
};

L.images = {
    data: {
        list: [
            '../common/img/img01.jpg',
            '../common/img/img02.jpg',
            '../common/img/img03.jpg',
            '../common/img/img04.jpg',
            '../common/img/img05.jpg',
            '../common/img/img06.jpg',
            '../common/img/img07.jpg',
            '../common/img/img08.jpg',
            '../common/img/img09.jpg',
            '../common/img/img10.jpg',
        ]
    }
}


