/* global I, L, K, REP */

R = {
    animations: false,

    ui: {},

    init: function() {
        R.ui.images.init();
        if (typeof O !== 'undefined')
            R.ui.optionbar.init();
    },

    render: function(cb) {
        this.renderImages(cb);
    },

    renderImages: function(cb) {
        R.ui.images.render(cb);
    },

    reloadImages: function() {
        R.ui.images.load();
    }
};

R.events = {
    onAfterFade: function() {},
}

R.ui.images = {
    div: "#images",
    divBG: "#bg",
    divReserve: "#reserve",

    _loaded: {},

    init: function() {

    },

    render: function(cb) {
        R.ui.images.__renderReserve(function() {
            $("#reserve").fadeIn(0, function() {
                $("#reserve").removeClass('hidden');
                $("#images").addClass("hidden");
                setTimeout(function() {
                    R.ui.images.__renderImages();
                    R.ui.images.__renderBG();
                    R.ui.images.load();
                    if (typeof cb != 'undefined')
                        cb();
                }, 0);
            })
        });
    },

    __renderBG: function() {
        if (typeof L.images.data.bgImage == 'undefined')
            return;

        if (L.images.data.bgImage == null)
            return;
        
        var html = "";
        html = "<img class=\"image\" src=\"" + L.urls.IMG + "/" + L.images.data.bgImage + "\"/>";
        $(this.divBG).html(html);

    },

    __renderReserve: function(cb) {
        var oldImage = I.getCurrentImageUrl();
        if (typeof oldImage != 'undefined') {
            $("#reserve img").one("load",function() {
                cb();
            }).attr("src", oldImage);
        } else {
            cb();
        }
    },

    __renderImages: function() {
        var html = "";
        var imageId;
        var id;
        var list = L.images.data.list;
        var preferred = I.getCurrent()-1;
        if (preferred == null)
            preferred = L.settings.data.imageInitial;

        var length = list.length;
        html += this._html(preferred);
        for (var i = 0; i < length; i++) {
            if (i != preferred)
                html += this._html(i);
        }
        $(this.div).html(html);
    },

    load: function() {
        var list = L.images.data.list;


        // 2 phases, otherwise takes too long to load then switching options
        // 1. loads current image and waits until is done
        // 2. loads the rest
        this._registerImgPhase1(I.getCurrent(), list);
    },

    __genImageList: function(list) {
        var result = [];

        for (var i = 0; i < list.length; i++) {

        }
    },

    _htmlBgImage: function() {
        return "<img class=\"bg\" src=\"" + L.images.data.bgImage + "\"/>";
    },

    _html: function(index) {
        id = "img" + (index+1);
        return "<img id=\"" + id + "\" class=\"image unselectable\" height=\"100%\"/>";
    },

    _registerImgPhase1: function(i,list) {
        console.log(i);
        if (!list[((i-1) + L.settings.data.rotate) % list.length]) {
            return;
        }
        $("#img" + i)
            .one('load', function() {
                var length = list.length;
                for (var a = 0; a < length; a++) {
                    R.ui.images._loaded[a] = false;
                    if ((a+1) !== i) {
                        R.ui.images._registerImgPhase2(a+1, list);
                    }
                }
                R.ui.images._loaded[(i-1)] = true;
                $("#images").removeClass("hidden");

                var _fadeOut = 750;
                if (!R.animations)
                    _fadeOut = 0;
                $("#reserve").fadeOut(_fadeOut, function() {
                    setTimeout(function() {
                        $("#images").removeClass("hidden");
                        $("#reserve").addClass("hidden");
                        R.events.onAfterFade();
                    }, 0)
                })
            })
            .one('error', function() { console.log("error loading image"); })
            .attr("src", list[((i-1) + L.settings.data.rotate) % list.length]
                .replace("VARIANT", REP.getVariant())
                .replace("QUALITY", W.HD ? "hd" : "sd"));
    },

    _registerImgPhase2: function(i,list) {
        $("#img" + i)
            .one('load', function() {
                R.ui.images._loaded[(i-1)] = true;
                var done = true;
                for (x in R.ui.images._loaded) {
                    if (R.ui.images._loaded[x] == false) {
                        done = false;
                        break;
                    }
                }

                if (done == true)
                    K.controller.onImageLoad();
            })
            .one('error', function() { console.log("error loading image"); })
            .attr("src", list[((i-1) + L.settings.data.rotate) % list.length]
                .replace("VARIANT", REP.getVariant())
                .replace("QUALITY", W.HD ? "hd" : "sd"));
    }
}
