/* global U */

W = {
    events: {
        onResize: function() {},
        onFocus: function() {},
    },
    implementation: {},

    HD: false,
    touch: false,
    width: 0,
    height: 0,
    autofit: false,
    focus: true,
    _interval: null,
    isFullscreen: false,

    init: function() {
        W.implementation.init();
    },

    fullscreen: function() {
        W.implementation.fullscreen();
    },

    isZoomed: function() {
        return W.implementation.isZoomed();
    },

    zoom: function(scale) {
        W.implementation.zoom(scale);
    }

}

W.implementation = {
    __innerWidth: null,

    init: function() {
        W.implementation.__innerWidth = window.innerWidth;
        W.implementation.detect();
        $(window).resize(function() {
            W.implementation.onResize();
        });
        $(window).focus(function() {
            W.focus = true;
            W.events.onFocus();
        });
        $(window).blur(function() {
            W.focus = false;
            W.events.onBlur();
        });
        // iPad orientation change
        $(window).bind('orientationchange', function() {
            W.events.onRotation();
        })
        W.implementation.adjustRatio();
    },


    isZoomed: function() {
        // if (W.touch) {
        //     if (window.innerWidth != W.implementation.__innerWidth) {
        //         console.log("isZoomed = true")
        //         return true;
        //     }
        // }

        return false;
    },


    detect: function() {
        W.implementation.detectHD();
        W.implementation.detectTouch();
        W.implementation.detectAutoFit();
        W.width = window.innerWidth;
        W.height = window.innerHeight;
    },

    detectAutoFit: function() {
        if ($("body").hasClass("autofit")) {
            W.autofit = true;
        }
    },

    detectHD: function() {
        if (typeof U !== 'undefined') {
            if (U.parameters.classes.indexOf("HD") >= 0) {
                W.HD = true;
                $("body").addClass("HD");
                return;
            }
        }
        W.HD = !window.matchMedia("only screen and (max-width: 760px)").matches;
        if (W.HD) {
            $("body").addClass("HD");
        } else {
            $("body").addClass("noHD");
        }
    },

    detectTouch: function() {
        W.touch = 'ontouchstart' in document.documentElement;
        if (W.touch) {
            $("body").addClass("touch");
        } else {
            $("body").addClass("notouch");
        }
    },

    onResize: function() {
        W.implementation.detect();
        W.implementation.adjustRatio();
        W.events.onResize();
    },

    adjustRatio: function() {
        if ((W.width/W.height) > (16/9)) {
            if ($("body").hasClass("autofit")) {
                if ($("body").hasClass("slideshow-vfit")) {
                    $("body").removeClass("slideshow-vfit")
                }
                if (!$("body").hasClass("slideshow-hfit")) {
                    $("body").addClass("slideshow-hfit")
                }
            }
        } else {
            if ($("body").hasClass("autofit")) {
                if ($("body").hasClass("slideshow-hfit")) {
                    $("body").removeClass("slideshow-hfit")
                }
                if (!$("body").hasClass("slideshow-vfit")) {
                    $("body").addClass("slideshow-vfit")
                }
            }
        }
    },

    fullscreen: function() {
        var doc = window.document;
        var docEl = doc.documentElement;

        var requestFullScreen = docEl.requestFullscreen || docEl.mozRequestFullScreen || docEl.webkitRequestFullScreen || docEl.msRequestFullscreen;
        var cancelFullScreen = doc.exitFullscreen || doc.mozCancelFullScreen || doc.webkitExitFullscreen || doc.msExitFullscreen;

        if (!doc.fullscreenElement && !doc.mozFullScreenElement && !doc.webkitFullscreenElement && !doc.msFullscreenElement) {
            requestFullScreen.call(docEl);
            $("body").addClass("fullscreen");
            W.isFullscreen = true;
            console.log("FULLSCREEN ON")
        } else {
            cancelFullScreen.call(doc);
            $("body").removeClass("fullscreen");
            W.isFullscreen = false;
            console.log("FULLSCREEN OFF")
        }

    },

    zoom: function(scale) {
        
    }
}

W.events = {
    onResize: function() {

    },

    onFocus: function() {

    },

    onBlur: function() {

    },

    onRotation: function() {

    }
}
