<?php
$SELECTED = "5";
include "../../../common/header.php";
?>
<div class="container">
<h2>Overview</h2>
<p>
This page describes textures and their naming convention. Every layer in composited image is named as: <strong>LayerName_TextureCode</strong>. Every texture has its abbreviated code. First part describes texture type, last part describes texture color. There may be many color representations, let's say for instance, black, has 12 representations. But all those have different types of textures, like stitch, binding, tape, etc. Every layer only has one type of texture, that means it has a handful of textures that represent different colors. For all available textures for particular layer refer to <a href="#all">All textures per layer</a>.

<h3>Texture names</h3>
<div class="col-lg-3">
<table class="table table-hover">
<thead>
<th>CODE</th><th>Name</th>
</thead>
<tbody>
<tr><td>MMBBK</td><td>Black</td></tr>
<tr><td>MMBBT</td><td>Beet</td></tr>
<tr><td>MMBDTL</td><td>DarkTeal</td></tr>
<tr><td>MMBJY</td><td>Jay</td></tr>
<tr><td>MMBTT</td><td>Titanium</td></tr>
<tr><td>MMELBK</td><td>Black</td></tr>
<tr><td>MMELDTL</td><td>DarkTeal</td></tr>
<tr><td>MMELMG</td><td>Magma</td></tr>
<tr><td>MMELMR</td><td>Marine</td></tr>
<tr><td>MMELUMR</td><td>Ultramarine</td></tr>
<tr><td>MMFBB</td><td>Barberry</td></tr>
<tr><td>MMFBK</td><td>Black</td></tr>
<tr><td>MMFBT</td><td>Beet</td></tr>
<tr><td>MMFDTL</td><td>DarkTeal</td></tr>
<tr><td>MMFJY</td><td>Jay</td></tr>
</tbody>
</table>
</div>

<div class="col-lg-3">
<table class="table table-hover">
<thead>
<th>CODE</th><th>Name</th>
</thead>
<tbody>
<tr><td>MMFMG</td><td>Magma</td></tr>
<tr><td>MMFMR</td><td>Marine</td></tr>
<tr><td>MMFUMR</td><td>Ultramarine</td></tr>
<tr><td>MMFWH</td><td>Whisper</td></tr>
<tr><td>MMPLZBK</td><td>Black</td></tr>
<tr><td>MMPLZBT</td><td>Beet</td></tr>
<tr><td>MMPLZDTL</td><td>DarkTeal</td></tr>
<tr><td>MMPLZMG</td><td>Magma</td></tr>
<tr><td>MMPLZMR</td><td>Marine</td></tr>
<tr><td>MMPLZPHBK</td><td>Black</td></tr>
<tr><td>MMPLZPHGR</td><td>Graphite</td></tr>
<tr><td>MMPLZUMR</td><td>Ultramarine</td></tr>
<tr><td>MMSLTR</td><td>Transparent</td></tr>
<tr><td>MMSTBB</td><td>Barberry</td></tr>
<tr><td>MMSTBK</td><td>Black</td></tr>
</tbody>
</table>
</div>

<div class="col-lg-3">
<table class="table table-hover">
<thead>
<th>CODE</th><th>Name</th>
</thead>
<tbody>
<tr><td>MMSTBT</td><td>Beet</td></tr>
<tr><td>MMSTDTL</td><td>DarkTeal</td></tr>
<tr><td>MMSTJY</td><td>Jay</td></tr>
<tr><td>MMSTMG</td><td>Magma</td></tr>
<tr><td>MMSTMR</td><td>Marine</td></tr>
<tr><td>MMSTUMR</td><td>Ultramarine</td></tr>
<tr><td>MMSTWH</td><td>Whisper</td></tr>
<tr><td>MMTLFBK</td><td>Black</td></tr>
<tr><td>MMTLFMG</td><td>Magma</td></tr>
<tr><td>MMTLFMR</td><td>Marine</td></tr>
<tr><td>MMTLFTL</td><td>Teal</td></tr>
<tr><td>MMTLFUMR</td><td>Ultramarine</td></tr>
<tr><td>MMZLNBK</td><td>Black</td></tr>
<tr><td>MMZLNBT</td><td>Beet</td></tr>
<tr><td>MMZLNDTL</td><td>DarkTeal</td></tr>
</table>
</div>

<div class="col-lg-3">
<table class="table table-hover">
<thead>
<th>CODE</th><th>Name</th>
</thead>
<tbody>
<tr><td>MMZLNMG</td><td>Magma</td></tr>
<tr><td>MMZLNMR</td><td>Marine</td></tr>
<tr><td>MMZLNUMR</td><td>Ultramarine</td></tr>
<tr><td>MMZPEBK</td><td>Black</td></tr>
<tr><td>MMZPEDTL</td><td>DarkTeal</td></tr>
<tr><td>MMZPEMG</td><td>Magma</td></tr>
<tr><td>MMZPEUMR</td><td>Ultramarine</td></tr>
<tr><td>MMZSLBK</td><td>Black</td></tr>
<tr><td>MMZSLBT</td><td>Beet</td></tr>
<tr><td>MMZSLDTL</td><td>DarkTeal</td></tr>
<tr><td>MMZSLMG</td><td>Magma</td></tr>
<tr><td>MMZSLMR</td><td>Marine</td></tr>
<tr><td>MMZSLPLBK</td><td>Black</td></tr>
<tr><td>MMZSLUMR</td><td>Ultramarine</td></tr>
<tr><td>MMZSTPLBK</td><td>Black</td></tr>
</tbody>
</table>
</div>
<div class="row">
    <div class="col-lg-7">
    <h3>Texture dependencies between different layers</h3>
    <p>In reality models will have part colors depending on choice of color of some other part. One example is relation between face material and back material. Layers are rendered and offered with all possible texture combinations for each particular layer, so it is up to developer of the konfigurator to hard code those dependencies it.</p>

    <p>If user chooses black face material for some part, the konfigurator will have to choose black texture for those parts that user chose to color. Then konfigurator will have to color the dependent parts too, like back material for chosen parts.</p>

    <p>For example if user chooses to color outer top hood dark teal, konfigurator system will have to identify layers that have to be colored. In case of top hood those are JacketTopHoodHoodCords, JacketTopHoodMainMat, JacketTopHoodStitches_Lining, JacketTopHoodStitches_MainMat, JacketTopHoodZipper and JacketTopHoodZipperPuller. Dependent parts in this case is JacketTopHoodInterlining.</p>

    <p>Those parts will get following texture assignments (table on right)</p>
    </div>
    <div class="col-lg-5">
    <table class="table">
    <thead>
    <th>Layer name</th><th>Texture code</th>
    </thead>
    <tbody>
    <tr><td>JacketTopHoodHoodCords</td><td>MMELDTL</td></tr>
    <tr><td>JacketTopHoodMainMat</td><td>MMFDTL</td></tr>
    <tr><td>JacketTopHoodStitches_Lining</td><td>MMSTDTL</td></tr>
    <tr><td>JacketTopHoodStitches_MainMat</td><td>MMSTDTL</td></tr>
    <tr><td>JacketTopHoodZipper</td><td>MMZLNDTL</td></tr>
    <tr><td>JacketTopHoodZipperPuller</td><td>MMZPEDTL</td></tr>
    <tr><td>JacketTopHoodInterlining (dependent layer - back)</td><td>MMZSLDTL</td></tr>
    </tbody>
    </table>
    </div>
</div>
<p>Some dependent combinations are not 1:1 color matched, for example Ultramarine face material and Titanium back material. That depends on the manufacturer's physical models.
</p>
<p>Here are combinations provided by Mammut:</p>
<table class="table">
<thead>
<th>Material - Face</th><th>Material - back</th><th>Carvico 384 Malaga</th>
</thead>
<tbody>
<tr><td>Black</td><td>Black</td><td>Black</td></tr>
<tr><td>Titanium</td><td>Magma</td><td>Magma</td></tr>
<tr><td>Beet</td><td>Beet</td><td>Beet</td></tr>
<tr><td>Dark Teal</td><td>Teal</td><td>Teal</td></tr>
<tr><td>Titanium</td><td>Ultramarine</td><td>Ultramarine</td></tr>
<tr><td>Titanium</td><td>Marine</td><td>Marine</td></tr>
<tr><td>Jay</td><td>Marine</td><td>Marine</td></tr>
<tr><td>Titanium</td><td>Beet</td><td>Beet</td></tr>
<tr><td>Jay</td><td>Marine</td><td>Marine</td></tr>
</tbody>
</table>
<br>
<h3 id="all">All textures per layer</h3>
<table class="table">
<thead>
<th>layer</th><th>shader</th>
</thead>
<tbody>
<?php
$files = [
    'JacketChestNoPocketMainMat_MMFBB.png',
    'JacketChestNoPocketMainMat_MMFBK.png',
    'JacketChestNoPocketMainMat_MMFBT.png',
    'JacketChestNoPocketMainMat_MMFDTL.png',
    'JacketChestNoPocketMainMat_MMFJY.png',
    'JacketChestNoPocketMainMat_MMFMG.png',
    'JacketChestNoPocketMainMat_MMFMR.png',
    'JacketChestNoPocketMainMat_MMFUMR.png',
    'JacketChestNoPocketMainMat_MMFWH.png',
    'JacketChestPocketBase_BASE.png',
    'JacketChestPocketMainMat_MMFBB.png',
    'JacketChestPocketMainMat_MMFBK.png',
    'JacketChestPocketMainMat_MMFBT.png',
    'JacketChestPocketMainMat_MMFDTL.png',
    'JacketChestPocketMainMat_MMFJY.png',
    'JacketChestPocketMainMat_MMFMG.png',
    'JacketChestPocketMainMat_MMFMR.png',
    'JacketChestPocketMainMat_MMFUMR.png',
    'JacketChestPocketMainMat_MMFWH.png',
    'JacketChestPocketZipper_MMZLNBK.png',
    'JacketChestPocketZipper_MMZLNBT.png',
    'JacketChestPocketZipper_MMZLNDTL.png',
    'JacketChestPocketZipper_MMZLNMG.png',
    'JacketChestPocketZipper_MMZLNMR.png',
    'JacketChestPocketZipper_MMZLNUMR.png',
    'JacketMainModelBackMainMat_MMFBB.png',
    'JacketMainModelBackMainMat_MMFBK.png',
    'JacketMainModelBackMainMat_MMFBT.png',
    'JacketMainModelBackMainMat_MMFDTL.png',
    'JacketMainModelBackMainMat_MMFJY.png',
    'JacketMainModelBackMainMat_MMFMG.png',
    'JacketMainModelBackMainMat_MMFMR.png',
    'JacketMainModelBackMainMat_MMFUMR.png',
    'JacketMainModelBackMainMat_MMFWH.png',
    'JacketMainModelBackTopMainMat_MMFBB.png',
    'JacketMainModelBackTopMainMat_MMFBK.png',
    'JacketMainModelBackTopMainMat_MMFBT.png',
    'JacketMainModelBackTopMainMat_MMFDTL.png',
    'JacketMainModelBackTopMainMat_MMFJY.png',
    'JacketMainModelBackTopMainMat_MMFMG.png',
    'JacketMainModelBackTopMainMat_MMFMR.png',
    'JacketMainModelBackTopMainMat_MMFUMR.png',
    'JacketMainModelBackTopMainMat_MMFWH.png',
    'JacketMainModelChestRightMainMat_MMFBB.png',
    'JacketMainModelChestRightMainMat_MMFBK.png',
    'JacketMainModelChestRightMainMat_MMFBT.png',
    'JacketMainModelChestRightMainMat_MMFDTL.png',
    'JacketMainModelChestRightMainMat_MMFJY.png',
    'JacketMainModelChestRightMainMat_MMFMG.png',
    'JacketMainModelChestRightMainMat_MMFMR.png',
    'JacketMainModelChestRightMainMat_MMFUMR.png',
    'JacketMainModelChestRightMainMat_MMFWH.png',
    'JacketMainModelFrontBottomBase_BASE.png',
    'JacketMainModelFrontBottomMainMat_MMFBB.png',
    'JacketMainModelFrontBottomMainMat_MMFBK.png',
    'JacketMainModelFrontBottomMainMat_MMFBT.png',
    'JacketMainModelFrontBottomMainMat_MMFDTL.png',
    'JacketMainModelFrontBottomMainMat_MMFJY.png',
    'JacketMainModelFrontBottomMainMat_MMFMG.png',
    'JacketMainModelFrontBottomMainMat_MMFMR.png',
    'JacketMainModelFrontBottomMainMat_MMFUMR.png',
    'JacketMainModelFrontBottomMainMat_MMFWH.png',
    'JacketMainModelFrontBottomStitches_MMSTBB.png',
    'JacketMainModelFrontBottomStitches_MMSTBK.png',
    'JacketMainModelFrontBottomStitches_MMSTBT.png',
    'JacketMainModelFrontBottomStitches_MMSTDTL.png',
    'JacketMainModelFrontBottomStitches_MMSTJY.png',
    'JacketMainModelFrontBottomStitches_MMSTMG.png',
    'JacketMainModelFrontBottomStitches_MMSTMR.png',
    'JacketMainModelFrontBottomStitches_MMSTUMR.png',
    'JacketMainModelFrontBottomStitches_MMSTWH.png',
    'JacketMainModelFrontBottomZipper_MMZLNBK.png',
    'JacketMainModelFrontBottomZipper_MMZLNBT.png',
    'JacketMainModelFrontBottomZipper_MMZLNDTL.png',
    'JacketMainModelFrontBottomZipper_MMZLNMG.png',
    'JacketMainModelFrontBottomZipper_MMZLNMR.png',
    'JacketMainModelFrontBottomZipper_MMZLNUMR.png',
    'JacketMainModelFrontBottomZipperPuller_MMZPEBK.png',
    'JacketMainModelFrontBottomZipperPuller_MMZPEDTL.png',
    'JacketMainModelFrontBottomZipperPuller_MMZPEMG.png',
    'JacketMainModelFrontBottomZipperPuller_MMZPEMR.png',
    'JacketMainModelFrontBottomZipperPuller_MMZPEUMR.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLBK.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLBR.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLBT.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLDTL.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLMG.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLMR.png',
    'JacketMainModelFrontBottomZipperSlider_MMZSLUMR.png',
    'JacketMainNOVentilationNOThumbsInterlining_MMBBK.png',
    'JacketMainNOVentilationNOThumbsInterlining_MMBBT.png',
    'JacketMainNOVentilationNOThumbsInterlining_MMBDTL.png',
    'JacketMainNOVentilationNOThumbsInterlining_MMBJY.png',
    'JacketMainNOVentilationNOThumbsInterlining_MMBTT.png',
    'JacketMainNOVentilationNOThumbsSides_MMFBB.png',
    'JacketMainNOVentilationNOThumbsSides_MMFBK.png',
    'JacketMainNOVentilationNOThumbsSides_MMFBT.png',
    'JacketMainNOVentilationNOThumbsSides_MMFDTL.png',
    'JacketMainNOVentilationNOThumbsSides_MMFJY.png',
    'JacketMainNOVentilationNOThumbsSides_MMFMG.png',
    'JacketMainNOVentilationNOThumbsSides_MMFMR.png',
    'JacketMainNOVentilationNOThumbsSides_MMFUMR.png',
    'JacketMainNOVentilationNOThumbsSides_MMFWH.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFBB.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFBK.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFBT.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFDTL.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFJY.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFMG.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFMR.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFUMR.png',
    'JacketMainNOVentilationNOThumbsSleevesInner_MMFWH.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFBB.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFBK.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFBT.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFDTL.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFJY.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFMG.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFMR.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFUMR.png',
    'JacketMainNOVentilationNOThumbsSleevesOuter_MMFWH.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTBB.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTBK.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTBT.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTDTL.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTJY.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTMG.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTMR.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTUMR.png',
    'JacketMainNOVentilationNOThumbsStitches_MMSTWH.png',
    'JacketMainNOVentilationThumbsInterlining_MMBBK.png',
    'JacketMainNOVentilationThumbsInterlining_MMBBT.png',
    'JacketMainNOVentilationThumbsInterlining_MMBDTL.png',
    'JacketMainNOVentilationThumbsInterlining_MMBJY.png',
    'JacketMainNOVentilationThumbsInterlining_MMBTT.png',
    'JacketMainNOVentilationThumbsSides_MMFBB.png',
    'JacketMainNOVentilationThumbsSides_MMFBK.png',
    'JacketMainNOVentilationThumbsSides_MMFBT.png',
    'JacketMainNOVentilationThumbsSides_MMFDTL.png',
    'JacketMainNOVentilationThumbsSides_MMFJY.png',
    'JacketMainNOVentilationThumbsSides_MMFMG.png',
    'JacketMainNOVentilationThumbsSides_MMFMR.png',
    'JacketMainNOVentilationThumbsSides_MMFUMR.png',
    'JacketMainNOVentilationThumbsSides_MMFWH.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFBB.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFBK.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFBT.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFDTL.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFJY.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFMG.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFMR.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFUMR.png',
    'JacketMainNOVentilationThumbsSleevesInner_MMFWH.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFBB.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFBK.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFBT.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFDTL.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFJY.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFMG.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFMR.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFUMR.png',
    'JacketMainNOVentilationThumbsSleevesOuter_MMFWH.png',
    'JacketMainNOVentilationThumbsStitches_MMSTBB.png',
    'JacketMainNOVentilationThumbsStitches_MMSTBK.png',
    'JacketMainNOVentilationThumbsStitches_MMSTBT.png',
    'JacketMainNOVentilationThumbsStitches_MMSTDTL.png',
    'JacketMainNOVentilationThumbsStitches_MMSTJY.png',
    'JacketMainNOVentilationThumbsStitches_MMSTMG.png',
    'JacketMainNOVentilationThumbsStitches_MMSTMR.png',
    'JacketMainNOVentilationThumbsStitches_MMSTUMR.png',
    'JacketMainNOVentilationThumbsStitches_MMSTWH.png',
    'JacketMainNOVentilationThumbsthumb_loop_MMTLFBK.png',
    'JacketMainNOVentilationThumbsthumb_loop_MMTLFMG.png',
    'JacketMainNOVentilationThumbsthumb_loop_MMTLFMR.png',
    'JacketMainNOVentilationThumbsthumb_loop_MMTLFTL.png',
    'JacketMainNOVentilationThumbsthumb_loop_MMTLFUMR.png',
    'JacketMainVentilationNOThumbsBase_BASE.png',
    'JacketMainVentilationNOThumbsInterlining_MMBBK.png',
    'JacketMainVentilationNOThumbsInterlining_MMBBT.png',
    'JacketMainVentilationNOThumbsInterlining_MMBDTL.png',
    'JacketMainVentilationNOThumbsInterlining_MMBJY.png',
    'JacketMainVentilationNOThumbsInterlining_MMBTT.png',
    'JacketMainVentilationNOThumbsSides_MMFBB.png',
    'JacketMainVentilationNOThumbsSides_MMFBK.png',
    'JacketMainVentilationNOThumbsSides_MMFBT.png',
    'JacketMainVentilationNOThumbsSides_MMFDTL.png',
    'JacketMainVentilationNOThumbsSides_MMFJY.png',
    'JacketMainVentilationNOThumbsSides_MMFMG.png',
    'JacketMainVentilationNOThumbsSides_MMFMR.png',
    'JacketMainVentilationNOThumbsSides_MMFUMR.png',
    'JacketMainVentilationNOThumbsSides_MMFWH.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFBB.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFBK.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFBT.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFDTL.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFJY.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFMG.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFMR.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFUMR.png',
    'JacketMainVentilationNOThumbsSleevesInner_MMFWH.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFBB.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFBK.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFBT.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFDTL.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFJY.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFMG.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFMR.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFUMR.png',
    'JacketMainVentilationNOThumbsSleevesOuter_MMFWH.png',
    'JacketMainVentilationNOThumbsStitches_MMSTBB.png',
    'JacketMainVentilationNOThumbsStitches_MMSTBK.png',
    'JacketMainVentilationNOThumbsStitches_MMSTBT.png',
    'JacketMainVentilationNOThumbsStitches_MMSTDTL.png',
    'JacketMainVentilationNOThumbsStitches_MMSTJY.png',
    'JacketMainVentilationNOThumbsStitches_MMSTMG.png',
    'JacketMainVentilationNOThumbsStitches_MMSTMR.png',
    'JacketMainVentilationNOThumbsStitches_MMSTUMR.png',
    'JacketMainVentilationNOThumbsStitches_MMSTWH.png',
    'JacketMainVentilationNOThumbsZipper_MMZLNBK.png',
    'JacketMainVentilationNOThumbsZipper_MMZLNBT.png',
    'JacketMainVentilationNOThumbsZipper_MMZLNDTL.png',
    'JacketMainVentilationNOThumbsZipper_MMZLNMG.png',
    'JacketMainVentilationNOThumbsZipper_MMZLNMR.png',
    'JacketMainVentilationNOThumbsZipper_MMZLNUMR.png',
    'JacketMainVentilationNOThumbsZipperPuller_MMZPEBK.png',
    'JacketMainVentilationNOThumbsZipperPuller_MMZPEDTL.png',
    'JacketMainVentilationNOThumbsZipperPuller_MMZPEMG.png',
    'JacketMainVentilationNOThumbsZipperPuller_MMZPEMR.png',
    'JacketMainVentilationNOThumbsZipperPuller_MMZPEUMR.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLBK.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLBR.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLBT.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLDTL.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLMG.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLMR.png',
    'JacketMainVentilationNOThumbsZipperSlider_MMZSLUMR.png',
    'JacketMainVentilationThumbsBase_BASE.png',
    'JacketMainVentilationThumbsInterlining_MMBBK.png',
    'JacketMainVentilationThumbsInterlining_MMBBT.png',
    'JacketMainVentilationThumbsInterlining_MMBDTL.png',
    'JacketMainVentilationThumbsInterlining_MMBJY.png',
    'JacketMainVentilationThumbsInterlining_MMBTT.png',
    'JacketMainVentilationThumbsSides_MMFBB.png',
    'JacketMainVentilationThumbsSides_MMFBK.png',
    'JacketMainVentilationThumbsSides_MMFBT.png',
    'JacketMainVentilationThumbsSides_MMFDTL.png',
    'JacketMainVentilationThumbsSides_MMFJY.png',
    'JacketMainVentilationThumbsSides_MMFMG.png',
    'JacketMainVentilationThumbsSides_MMFMR.png',
    'JacketMainVentilationThumbsSides_MMFUMR.png',
    'JacketMainVentilationThumbsSides_MMFWH.png',
    'JacketMainVentilationThumbsSleevesInner_MMFBB.png',
    'JacketMainVentilationThumbsSleevesInner_MMFBK.png',
    'JacketMainVentilationThumbsSleevesInner_MMFBT.png',
    'JacketMainVentilationThumbsSleevesInner_MMFDTL.png',
    'JacketMainVentilationThumbsSleevesInner_MMFJY.png',
    'JacketMainVentilationThumbsSleevesInner_MMFMG.png',
    'JacketMainVentilationThumbsSleevesInner_MMFMR.png',
    'JacketMainVentilationThumbsSleevesInner_MMFUMR.png',
    'JacketMainVentilationThumbsSleevesInner_MMFWH.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFBB.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFBK.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFBT.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFDTL.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFJY.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFMG.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFMR.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFUMR.png',
    'JacketMainVentilationThumbsSleevesOuter_MMFWH.png',
    'JacketMainVentilationThumbsStitches_MMSTBB.png',
    'JacketMainVentilationThumbsStitches_MMSTBK.png',
    'JacketMainVentilationThumbsStitches_MMSTBT.png',
    'JacketMainVentilationThumbsStitches_MMSTDTL.png',
    'JacketMainVentilationThumbsStitches_MMSTJY.png',
    'JacketMainVentilationThumbsStitches_MMSTMG.png',
    'JacketMainVentilationThumbsStitches_MMSTMR.png',
    'JacketMainVentilationThumbsStitches_MMSTUMR.png',
    'JacketMainVentilationThumbsStitches_MMSTWH.png',
    'JacketMainVentilationThumbsthumb_loop_MMTLFBK.png',
    'JacketMainVentilationThumbsthumb_loop_MMTLFMG.png',
    'JacketMainVentilationThumbsthumb_loop_MMTLFMR.png',
    'JacketMainVentilationThumbsthumb_loop_MMTLFTL.png',
    'JacketMainVentilationThumbsthumb_loop_MMTLFUMR.png',
    'JacketMainVentilationThumbsZipper_MMZLNBK.png',
    'JacketMainVentilationThumbsZipper_MMZLNBT.png',
    'JacketMainVentilationThumbsZipper_MMZLNDTL.png',
    'JacketMainVentilationThumbsZipper_MMZLNMG.png',
    'JacketMainVentilationThumbsZipper_MMZLNMR.png',
    'JacketMainVentilationThumbsZipper_MMZLNUMR.png',
    'JacketMainVentilationThumbsZipperPuller_MMZPEBK.png',
    'JacketMainVentilationThumbsZipperPuller_MMZPEDTL.png',
    'JacketMainVentilationThumbsZipperPuller_MMZPEMG.png',
    'JacketMainVentilationThumbsZipperPuller_MMZPEMR.png',
    'JacketMainVentilationThumbsZipperPuller_MMZPEUMR.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLBK.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLBR.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLBT.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLDTL.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLMG.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLMR.png',
    'JacketMainVentilationThumbsZipperSlider_MMZSLUMR.png',
    'JacketTopCollarBase_BASE.png',
    'JacketTopCollarInterlining_MMBBK.png',
    'JacketTopCollarInterlining_MMBBT.png',
    'JacketTopCollarInterlining_MMBDTL.png',
    'JacketTopCollarInterlining_MMBJY.png',
    'JacketTopCollarInterlining_MMBTT.png',
    'JacketTopCollarMainMat_MMFBB.png',
    'JacketTopCollarMainMat_MMFBK.png',
    'JacketTopCollarMainMat_MMFBT.png',
    'JacketTopCollarMainMat_MMFDTL.png',
    'JacketTopCollarMainMat_MMFJY.png',
    'JacketTopCollarMainMat_MMFMG.png',
    'JacketTopCollarMainMat_MMFMR.png',
    'JacketTopCollarMainMat_MMFUMR.png',
    'JacketTopCollarMainMat_MMFWH.png',
    'JacketTopCollarStitches_Lining_MMSTBB.png',
    'JacketTopCollarStitches_Lining_MMSTBK.png',
    'JacketTopCollarStitches_Lining_MMSTBT.png',
    'JacketTopCollarStitches_Lining_MMSTDTL.png',
    'JacketTopCollarStitches_Lining_MMSTJY.png',
    'JacketTopCollarStitches_Lining_MMSTMG.png',
    'JacketTopCollarStitches_Lining_MMSTMR.png',
    'JacketTopCollarStitches_Lining_MMSTUMR.png',
    'JacketTopCollarStitches_Lining_MMSTWH.png',
    'JacketTopCollarStitches_MainMat_MMSTBB.png',
    'JacketTopCollarStitches_MainMat_MMSTBK.png',
    'JacketTopCollarStitches_MainMat_MMSTBT.png',
    'JacketTopCollarStitches_MainMat_MMSTDTL.png',
    'JacketTopCollarStitches_MainMat_MMSTJY.png',
    'JacketTopCollarStitches_MainMat_MMSTMG.png',
    'JacketTopCollarStitches_MainMat_MMSTMR.png',
    'JacketTopCollarStitches_MainMat_MMSTUMR.png',
    'JacketTopCollarStitches_MainMat_MMSTWH.png',
    'JacketTopCollarStitches_MMSTBB.png',
    'JacketTopCollarStitches_MMSTBK.png',
    'JacketTopCollarStitches_MMSTBT.png',
    'JacketTopCollarStitches_MMSTDTL.png',
    'JacketTopCollarStitches_MMSTJY.png',
    'JacketTopCollarStitches_MMSTMG.png',
    'JacketTopCollarStitches_MMSTMR.png',
    'JacketTopCollarStitches_MMSTUMR.png',
    'JacketTopCollarStitches_MMSTWH.png',
    'JacketTopCollarTags_STFBKNBK.png',
    'JacketTopCollarZipper_MMZLNBK.png',
    'JacketTopCollarZipper_MMZLNBT.png',
    'JacketTopCollarZipper_MMZLNDTL.png',
    'JacketTopCollarZipper_MMZLNMG.png',
    'JacketTopCollarZipper_MMZLNMR.png',
    'JacketTopCollarZipper_MMZLNUMR.png',
    'JacketTopCollarZipperPuller_MMZPEBK.png',
    'JacketTopCollarZipperPuller_MMZPEDTL.png',
    'JacketTopCollarZipperPuller_MMZPEMG.png',
    'JacketTopCollarZipperPuller_MMZPEMR.png',
    'JacketTopCollarZipperPuller_MMZPEUMR.png',
    'JacketTopCollarZipperSlider_MMZSLBK.png',
    'JacketTopCollarZipperSlider_MMZSLBR.png',
    'JacketTopCollarZipperSlider_MMZSLBT.png',
    'JacketTopCollarZipperSlider_MMZSLDTL.png',
    'JacketTopCollarZipperSlider_MMZSLMG.png',
    'JacketTopCollarZipperSlider_MMZSLMR.png',
    'JacketTopCollarZipperSlider_MMZSLUMR.png',
    'JacketTopHoodBase_BASE.png',
    'JacketTopHoodHoodCords_MMELBK.png',
    'JacketTopHoodHoodCords_MMELDTL.png',
    'JacketTopHoodHoodCords_MMELMG.png',
    'JacketTopHoodHoodCords_MMELMR.png',
    'JacketTopHoodHoodCords_MMELUMR.png',
    'JacketTopHoodInterlining_MMBBK.png',
    'JacketTopHoodInterlining_MMBBT.png',
    'JacketTopHoodInterlining_MMBDTL.png',
    'JacketTopHoodInterlining_MMBJY.png',
    'JacketTopHoodMainMat_MMFBB.png',
    'JacketTopHoodMainMat_MMFBK.png',
    'JacketTopHoodMainMat_MMFBT.png',
    'JacketTopHoodMainMat_MMFDTL.png',
    'JacketTopHoodMainMat_MMFJY.png',
    'JacketTopHoodMainMat_MMFMG.png',
    'JacketTopHoodMainMat_MMFMR.png',
    'JacketTopHoodMainMat_MMFUMR.png',
    'JacketTopHoodMainMat_MMFWH.png',
    'JacketTopHoodStitches_Lining_MMSTBB.png',
    'JacketTopHoodStitches_Lining_MMSTBK.png',
    'JacketTopHoodStitches_Lining_MMSTBT.png',
    'JacketTopHoodStitches_Lining_MMSTDTL.png',
    'JacketTopHoodStitches_Lining_MMSTJY.png',
    'JacketTopHoodStitches_Lining_MMSTMG.png',
    'JacketTopHoodStitches_Lining_MMSTMR.png',
    'JacketTopHoodStitches_Lining_MMSTUMR.png',
    'JacketTopHoodStitches_Lining_MMSTWH.png',
    'JacketTopHoodStitches_MainMat_MMSTBB.png',
    'JacketTopHoodStitches_MainMat_MMSTBK.png',
    'JacketTopHoodStitches_MainMat_MMSTBT.png',
    'JacketTopHoodStitches_MainMat_MMSTDTL.png',
    'JacketTopHoodStitches_MainMat_MMSTJY.png',
    'JacketTopHoodStitches_MainMat_MMSTMG.png',
    'JacketTopHoodStitches_MainMat_MMSTMR.png',
    'JacketTopHoodStitches_MainMat_MMSTUMR.png',
    'JacketTopHoodStitches_MainMat_MMSTWH.png',
    'JacketTopHoodTags_STFBKNBK.png',
    'JacketTopHoodZipper_MMZLNBK.png',
    'JacketTopHoodZipper_MMZLNBT.png',
    'JacketTopHoodZipper_MMZLNDTL.png',
    'JacketTopHoodZipper_MMZLNMG.png',
    'JacketTopHoodZipper_MMZLNMR.png',
    'JacketTopHoodZipper_MMZLNUMR.png',
    'JacketTopHoodZipperPuller_MMZPEBK.png',
    'JacketTopHoodZipperPuller_MMZPEDTL.png',
    'JacketTopHoodZipperPuller_MMZPEMG.png',
    'JacketTopHoodZipperPuller_MMZPEMR.png',
    'JacketTopHoodZipperPuller_MMZPEUMR.png',
    'JacketTopHoodZipperSlider_MMZSLBK.png',
    'JacketTopHoodZipperSlider_MMZSLBR.png',
    'JacketTopHoodZipperSlider_MMZSLBT.png',
    'JacketTopHoodZipperSlider_MMZSLDTL.png',
    'JacketTopHoodZipperSlider_MMZSLMG.png',
    'JacketTopHoodZipperSlider_MMZSLMR.png',
    'JacketTopHoodZipperSlider_MMZSLUMR.png',
];

$layers = [];
foreach ($files as $file) {
    $items = explode("_", substr($file, 0, -4));
    if (sizeof($items) < 2) {
        continue;
    }
    if (sizeof($items) > 3) {
        continue;
    }
    if (sizeof($items) == 2) {
        $name = $items[0];
        $texture = $items[1];
    }
    if (sizeof($items) == 3) {
        $name = $items[0]."_".$items[1];
        $texture = $items[2];
    }
    if (! array_key_exists($name, $layers)) {
        $layers[$name] = [];
    }

    array_push($layers[$name], $texture);
}

foreach ($layers as $layer => $texture_list) {
    $textures = "";
    foreach ($texture_list as $texture) {
        $textures .= $texture." ";
    }
?>
<tr><td><?= $layer ?></td><td><?= $textures ?></td></tr>
<?php
}
?>
</tbody>
</table>
</div>
 




<script>
onload = function() {

}
</script>
<?php
include "../../../common/footer.php";
?>

